
  var cityList = [];

  var hotCity = [{"CityCode":"BJS","CityNameCN":"北京","FirstPinyin":"Beijing","countryId":"10046"},
                 {"CityCode":"SHA2","CityNameCN":"上海","FirstPinyin":"Shanghai","countryId":"10046"},
                 {"CityCode":"CAN","CityNameCN":"广州","FirstPinyin":"Guangzhou","countryId":"10046"},
                 {"CityNameCN": "深圳","CityCode": "SZX","FirstPinyin":"Shenzhen","countryId": "10046"},
                  {"CityNameCN": "成都","CityCode": "CTU","FirstPinyin":"Chengdu","countryId": "10046"},
                  {"CityNameCN": "杭州","CityCode": "HGH","FirstPinyin":"Hangzhou","countryId": "10046"},
                  {"CityNameCN": "武汉","CityCode": "WUH","FirstPinyin":"Wuhan","countryId": "10046"},
                  {"CityNameCN": "长沙","CityCode": "CSX","FirstPinyin":"Changsha","countryId": "10046"},
                  {"CityNameCN": "青岛","CityCode": "TAO","FirstPinyin":"Qingdao","countryId": "10046"},
                  {"CityNameCN": "天津","CityCode": "TSN","FirstPinyin":"Tianjin","countryId": "10046"},
                  {"CityNameCN": "重庆","CityCode": "CKG","FirstPinyin":"Chongqing","countryId": "10046"},
                  {"CityNameCN": "三亚","CityCode": "SYX","FirstPinyin":"SanYa","countryId": "10046"}
                ]


  $(function () {

      // cityListJson=$.ajax({url:"./res/cityInlandCode.json",async:false});
      // cityList = JSON.parse(cityListJson.responseText)
      // console.log(JSON.stringify(cityList));

      fileImport();//读取城市数据

      init();

      // 选择城市
      $('body').on('click', '.city-list p', function () {
          var data = $(this).text();
          console.log($(this).attr("data-value"));
          var dataAll = JSON.parse($(this).attr("data-value"));
          console.log("点击列表:"+$(this).attr("data-value")); //data-value 城市所有信息
          // data-city 城市中文名称
          // console.log(data);
          api.execScript({
              name: 'cityChoiceWin',
              frameName: 'cityInLand',
              script: 'ChooseCity('+$(this).attr("data-value")+');'
          });

          saveHistory($(this).attr("data-city"),dataAll);//只保存城市名
      });

      //选择热门城市
      $('.hot.hotCity').on('click', 'div', function () {
          var data = $(this).text();
          var dataAll = JSON.parse($(this).attr("data-value"));
          console.log("点击热门:"+JSON.stringify(dataAll));
          api.execScript({
              name: 'cityChoiceWin',
              frameName: 'cityInLand',
              script: 'ChooseCity('+$(this).attr("data-value")+');'
          });
          saveHistory(data,dataAll);
      });

  })

  //点击历史
  function bindHistoryClick() {
    $('.history .hot').on('click', 'div', function () {
        var data = $(this).text();
        console.log("点击历史记录:"+$(this).attr("data-value"));
        var dataAll = JSON.parse($(this).attr("data-value"));
        api.execScript({
            name: 'cityChoiceWin',
            frameName: 'cityInLand',
            script: 'ChooseCity('+$(this).attr("data-value")+');'
        });
        saveHistory(data,dataAll);




    });

  }

  function clearHistory() {
    localStorage.setItem('hotelHistory_NG', '');
    localStorage.setItem('hotelHistoryInfo_NG', '');
    initHistory();
  }

  function saveHistory(data,dataAll) {
    var hotelHistory_NG = localStorage.getItem('hotelHistory_NG');//中文城市名称  [A,B,C,]
    var hotelHistoryInfo_NG = localStorage.getItem('hotelHistoryInfo_NG');//中文城市名称对应的详情[{A},{B},{C},]
    if (hotelHistoryInfo_NG == undefined ||  hotelHistoryInfo_NG == null || hotelHistoryInfo_NG == "") {
      hotelHistoryInfo_NG = [];
    }else {
      hotelHistoryInfo_NG = JSON.parse(hotelHistoryInfo_NG)
    }
    if(!hotelHistory_NG){
      hotelHistory_NG = '';
    }
    //存在同中文名城市/机场
    var hotelHistory_NGList = hotelHistory_NG.split(',');
    hotelHistory_NGList.pop();

    if(hotelHistory_NGList.length > 0 && hotelHistory_NGList.indexOf(data) > -1) {
    // if(hotelHistory_NG.indexOf(data) > -1) {
      var arr = hotelHistory_NG.split(',');
      var arrInfo = hotelHistoryInfo_NG;
      var newArr = [];
      var newArrInfo = [];
      $.each(arr, function (i, item) {
        if(item !== data) {//历史记录不存在
          newArr.push(item);
        }
      })
      // console.log(newArr);
      // console.log(JSON.stringify(arrInfo));
      $.each(arrInfo, function (i, item) {

        if(JSON.stringify(item) != JSON.stringify(dataAll)) {//历史记录不存在
          newArrInfo.push(item)
        }else {
          newArrInfo.unshift(item)
        }
      })

      hotelHistory_NG = newArr.join(','); //阿拉伯里,塞哥维亚,阿瓦拉达姆,宁波
      hotelHistoryInfo_NG = newArrInfo;
      //历史记录存在为确定操作会导致显示的城市和记录的城市信息不匹配  下次再出现可拿城市信息的城市重新赋值看看？
      // var tempNewArr = [];
      // for (var i = 0; i < hotelHistoryInfo_NG.length; i++) {
      //   tempNewArr.push(hotelHistoryInfo_NG[i].CityNameCN);
      // }
    }
    else {
      hotelHistoryInfo_NG.unshift(dataAll);//unshift
    }



    localStorage.setItem('hotelHistory_NG', data + ',' + hotelHistory_NG);
    localStorage.setItem('hotelHistoryInfo_NG', JSON.stringify(hotelHistoryInfo_NG));
    // console.log(localStorage.getItem('hotelHistory_NG'));
    // console.log(JSON.stringify(localStorage.getItem('hotelHistoryInfo_NG')));
    initHistory();
  }

  function init() {
      $('.city').html('');
      var hotHtml = '';
      hotHtml += '<div class="history" style="margin-top: 0px;margin-bottom: 15px;"></div>';
      hotHtml += '<div class="tips" id="热门1">热门城市</div>';
      hotHtml += '<div class="hot hotCity">';
      $.each(hotCity, function (i, item) {
          var itemstr = JSON.stringify(item).replace(/\s+/g,"").replace(/\n/g,"\\\\n");
          hotHtml += '<div data-value='+ itemstr +' >' + item.CityNameCN + '</div>'
      })
      hotHtml += '</div>';

      $('.city').append(hotHtml);

      // clearHistory();//清历史

      initHistory();


      var html = '';
      $.each(cityList, function (i, item) {
          html += '<div class="city-list"><span class="city-letter" id="' + item.key + '1">' + item.key + '</span>';
          $.each(item.data, function (j, data) {
              var datastr = JSON.stringify(data).replace(/\s+/g,"").replace(/\n/g,"\\\\n"); //json 转string 有空格会失败
              html += '<p data-value = '+ datastr +' data-city='+ data.CityNameCN +'>' + data.CityNameCN + '<span style:"color:#999;">(' + data.CityCode + ') </span></p>';
          })
          html += '</div>';
      })
      $('.city').append(html);
  }

  function initHistory() {  // 历史记录渲染
      var hotelHistory_NG = localStorage.getItem('hotelHistory_NG');
      var hotelHistoryInfo_NG = localStorage.getItem('hotelHistoryInfo_NG');
      if (hotelHistoryInfo_NG != undefined && hotelHistoryInfo_NG != null && hotelHistoryInfo_NG != "") {
        hotelHistoryInfo_NG = JSON.parse(hotelHistoryInfo_NG)
      }else {
        hotelHistoryInfo_NG = [];
      }
      //多余6个的去除最后的
      if (hotelHistoryInfo_NG.length > 6) {
        hotelHistoryInfo_NG = hotelHistoryInfo_NG.slice(0,6);
        var hotelHistory_NG_JSON = hotelHistory_NG.split(',');
        hotelHistory_NG_JSON = hotelHistory_NG_JSON.slice(0,6);
        hotelHistory_NG = hotelHistory_NG_JSON.join(',') + ",";
      }
      // console.log(hotelHistory_NG)
      // console.log(hotelHistoryInfo_NG.length);

      var history = '';
      // history += '<div class="tips" id="历史1">历史记录<div class="clear-history" onClick="clearHistory();">清空历史</div></div>'; //含清空；历史
      history += '<div class="tips" id="历史1">历史记录</div>';
      history += '<div class="hot">';
      if(hotelHistory_NG) {
        $.each(hotelHistory_NG.split(','), function (i, item) {
          if(item) {
            // console.log(item);
            // console.log(JSON.stringify(hotelHistoryInfo_NG[i]));
            history += '<div data-value ='+ JSON.stringify(hotelHistoryInfo_NG[i]) +'>' + item + '</div>'
          }
        })
      }
      history += '</div>';
      $('.history').html(history);
      bindHistoryClick();
  }

  ; (function ($) {

      $('.letter').bind("touchstart touchmove", function (e) {
          var top = $(window).scrollTop();
          e.preventDefault();//阻止默认滚动
          var touch = e.touches[0];
          var ele = document.elementFromPoint(touch.pageX, touch.pageY - top);

          if (ele.tagName === 'A') {
              var s = $(ele).text();
              $(window).scrollTop($('#' + s + '1').offset().top)
              $("#showLetter span").html(s.substring(0, 1));
              // console.log($("#showLetter").text());
              $("#showLetter").show();
          }
      });

      $('.letter').bind("touchend", function (e) {
          $("#showLetter").hide(0);
      });

  })(Zepto);


  function fileImport() {
    // $.ajax({
    //    url: "./res/cityInlandCode.json",//json文件位置
    //    type: "GET",//请求方式为get
    //    dataType: "json", //返回数据格式为json
    //    success: function(data) {//请求成功完成后要执行的方法
    //         console.log(data);
    //        //each循环 使用$.each方法遍历返回的数据date
    //       //  $.each(data.first, function(i, item) {
    //       //       console.log(item);
    //       //  })
    //    }
    // })
    // console.log($("#txt_id").val());
    var inlandCitycodedata = $api.getStorage('inlandCitycode201908');//国内城市缓存
    // console.log(inlandCitycodedata);
    if(inlandCitycodedata != undefined && inlandCitycodedata != null && inlandCitycodedata.length > 0){
      cityList = JSON.parse(inlandCitycodedata);
    }
    

    // //测试数据  后续拿缓存
    // $.ajax({
    //   url:"../../res/cityInlandCodeTest.json",
    //   // url:"../../res/cityInlandCode.json",
    //   // url:"fs://cityCode.txt",
    //   // url:"fs://nationCityCode.json",
    //   async:false,
    //   // dataType: "json",
    //   success: function(data) {
    //     console.log(data);
    //     cityList = JSON.parse(data)
    //   }
    // });

    // var param = {
		// 	url:"../../res/cityInlandCode.json"
    // }
    // api.ajax(param, function(ret,err){
    //   console.log(JSON.stringify(ret));
    //   console.log(JSON.stringify(err));
    //
    // });



  }
