function openmenutool(node) {
    console.log(node);
    var mnPopups = api.require('MNPopups');
    var notices = './personalCenter/notices_win.html'//消息与通知
    var feedback = './personalCenter/feedback_win.html'//意见反馈
    var call = './myOrder/call/call_frame.html'//客服
    switch (node) {
      case 1:
        notices = "../personalCenter/notices_win.html";
        feedback = '../personalCenter/feedback_win.html'
        call = '../myOrder/call/call_frame.html'
      break;
      case 2:
        notices = "../../personalCenter/notices_win.html";
        feedback = '../../personalCenter/feedback_win.html'
        call = '../../myOrder/call/call_frame.html'
      break;

    }

    mnPopups.open({
        rect: {
            w: 150,
            h: 135
        },
        position: {
            x: api.winWidth - 27,
            y: 48
        },
        styles: {
            mask: 'rgba(0,0,0,0.2)',
            bg: 'rgba(255,255,255,0.92)',
            corner: 5,
            cell: {
                bg: {
                    normal: '',
                    highlight: ''
                },
                h: 45,
                title: {
                    marginL: 45,
                    color: '#525252',
                    size: 16,
                },
                icon: {
                    marginL: 10,
                    w: 20,
                    h: 20,
                    corner: 2
                },
                separateLine: {
                    width: 1,
                    marginLR: 0,
                    bg: '#f1f1f1',
                    hideLastSeparateLine: false
                }
            },
            pointer: {
                size: 10,
                xPercent: 90,
                yPercent: 0,
                orientation: 'downward'
            },

        },
        datas: [{
            title: '首页',
            icon: 'widget://image/check/icon_more_home.png'
        }
        , {
            title: '消息与通知',
            icon: 'widget://image/check/icon_more_info.png'
        }
        , {
            title: '意见与反馈',
            icon: 'widget://image/check/icon_more_message.png'
        }
        // , {
        //     title: '我的客服',
        //     icon: 'widget://image/check/icon_more_service.png'
        // }
        ],
        animation: true
    }, function(ret) {
        if (ret.eventType == 'click') {

            if (ret.index == 0) {
              api.closeToWin({
                  name: 'mian'
              });

            }else if (ret.index ==1) {
              if(!isLoginMsg()){
                return
              }
              api.openWin({
                  name: 'noticesWin',
                    hideHomeIndicator:true,
                  url: notices,
                  pageParam: {
                      name: 'test'
                  }
              });
            }else if (ret.index ==2) {
              if(!isLoginMsg()){
                return
              }
              api.openWin({
                  name: 'feedbackWin',
                    hideHomeIndicator:true,
                  url: feedback,
                  pageParam: {
                      name: 'test'
                  }
              });

            }else if (ret.index ==3) {
              api.openFrame({
                  name: 'callFrame',
                  url: call,
                  rect: {
                      x: 0,
                      y: 0,
                      w: "auto",
                      h: 'auto'
                  },
                  pageParam: {
                      name: 'test'
                  },
                  bounces: false,
                  bgColor: 'rgba(0,0,0,0)',
                  vScrollBarEnabled: false,
                  hScrollBarEnabled: false
              });


            }
        }
    });
}

function isLoginMsg(){
  islogin = false
  if($api.getStorage('userName') != undefined){
    islogin = true;
  }
  return islogin;
}
