var isAndroid = (/android/gi).test(navigator.appVersion);

var statusBarHeight = 0;
// window.onload = function(){
// 	var el = $('header');
// 	if(!el){
// 		return;
// 	}
// 	if(!isAndroid){//ios沉浸式
// 		statusBarHeight = 20;
// 		el.style.paddingTop = '20px';
// 		return;
// 	}
// 	var u = navigator.userAgent;
// 	var ver = parseFloat(u.substr(u.indexOf('Android') + 8, 3));
//     if(ver >= 4.4){//android沉浸式
//     	statusBarHeight = 25;
//         el.style.paddingTop = '25px';
//     }
//     if(window.domReady){
// 		domReady();
// 	}
// }
//
// function $(id){
// 	return document.getElementById(id);
// }


function apialert(_msg, callback){
	api.alert({
	    title: '提示',
	    msg: _msg,
	}, function(ret, err) {
		if(callback){
			callback();
		}
	});
}

//提示前校验是否有权限
function hasPermissionPre(permslist,isNext) {
	var isHasPermissionPre = true;
	var perms = [];
	var notPermissions = [];
	if (permslist && permslist.length > 0) {
		perms = permslist;
	}
	else {
		perms = ['notification','camera','contacts','phone','photos'];//'location',
	}
	var rets = api.hasPermission({
		list:perms
	});
	for (var i = 0; i < rets.length; i++) {
		if (rets[i].granted == false) {
			isHasPermissionPre = false;
			notPermissions.push(rets[i].name)
		}
	}

	if (isNext && permslist.length > 0 && notPermissions.length > 0) {
		var notPermissionsStr ='';
		for (var i = 0; i < notPermissions.length; i++) {
			switch (notPermissions[i]) {
				case 'notification':
					notPermissionsStr += '消息推送、';
					break;
				case 'camera':
					notPermissionsStr += '相机、';
					break;
				case 'contacts':
					notPermissionsStr += '通讯录、';
					break;
				case 'location':
					notPermissionsStr += '定位、';
					break;
				case 'phone':
					notPermissionsStr += '电话、';
					break;
				case 'photos':
					notPermissionsStr += '数据存储、';
					break;

			}
		}
		if (notPermissionsStr) {
			notPermissionsStr = notPermissionsStr.substring(0, notPermissionsStr.lastIndexOf('、'))
			api.alert({
			    title: '提醒',
			    msg: '为了您能正常使用，美亚航旅需要获取“'+notPermissionsStr+'”权限，请允许；否则会导致APP功能不可用或闪退',
					buttons: ['知道了']
			}, function(ret, err){
			    if( ret ){
						isHasPermissionPre = true;
						reqPermission(notPermissions,isNext);
			    }
			});
		}



	}
	else if (isNext && permslist.length > 0) {
		api.sendEvent({
			 name: 'getPermissionEvent',
			 extra: {
					 key: isHasPermissionPre,
			 }
		});
	}


	return isHasPermissionPre;
}



//检查权限
function hasPermission(permslist,isNext){
		var perms = [];
		if (permslist && permslist.length > 0) {
			perms = permslist;
		}
		else {
			perms = ['notification','camera','contacts','phone','photos'];//'location',
		}
		var notPermissions = [];
		var rets = api.hasPermission({
			list:perms
		});

		console.log('获取权限结果：'+JSON.stringify(rets));
		// api.alert({
		//     title: '获取权限结果：',
		//     msg: JSON.stringify(rets),
		// }, function(ret, err){
		//
		// });

		for (var i = 0; i < rets.length; i++) {
			if (rets[i].granted == false) {
				notPermissions.push(rets[i].name)
			}
		}

		//存储权限
		if (isNext && perms.length == 1 && perms[0] == 'photos' && notPermissions.length == 0 ) {
			api.sendEvent({
					name: 'getStorageEvent',
					extra: {
							key1: 1,
					}
			});
		}


		//获取没有的权限
		if (notPermissions && notPermissions.length > 0) {
			if (isNext && notPermissions.length == 1 && notPermissions[0] == 'photos') {
				api.alert({
				    title: '提醒',
				    msg: '为了您能正常使用，美亚航旅需要获取“数据存储”权限，请允许；否则会导致APP功能不可用或闪退',
						buttons: ['知道了']
				}, function(ret, err){
				    if( ret ){
							reqPermission(notPermissions,isNext);
				    }
				});

			} else {
				reqPermission(notPermissions,isNext);
			}

		}
}

//请求权限
function reqPermission(permissions, isNext, callback){
	  var perms = permissions;
		var notPermissions = [];
		console.log('没有的权限：'+JSON.stringify(perms));
		api.requestPermission({
			list: perms,
			code: 100001
		}, function(ret, err){
			if(callback){
				callback(ret);
				return;
			}
			console.log(JSON.stringify(ret));
			if (ret && ret.list) {
				// api.alert({
				//     title: '申请权限结果：',
				//     msg: JSON.stringify(ret),
				// }, function(ret, err){
				//
				// });
				for (var i = 0; i < ret.list.length; i++) {
					if (ret.list[i].granted == false) {
						notPermissions.push(ret.list[i].name)
					}
				}
			}

			//存储权限
			if (isNext && perms.length > 0 && perms[0] == 'photos' && notPermissions.length == 0) {
				api.sendEvent({
				    name: 'getStorageEvent',
				    extra: {
				        key1: 1,
				    }
				});
			}
			if (isNext && perms.length > 1 && perms[0] == 'photos' && notPermissions.length == 0) {
				api.sendEvent({
				    name: 'getStorageEvent',
				    extra: {
				        key1: 1,
				    }
				});
			}
			else if (isNext && perms.length > 1 && notPermissions.length == 0) {//其他权限
				api.sendEvent({
					 name: 'getPermissionEvent',
					 extra: {
							 key: true,
					 }
				});
			}



			if (isNext && notPermissions && notPermissions.length > 0) {//是否提示用户自己去设置
					var notPermissionsStr = '';
					for (var i = 0; i < notPermissions.length; i++) {
						switch (notPermissions[i]) {
							case 'notification':
								notPermissionsStr += '消息推送、';
								break;
							case 'camera':
								notPermissionsStr += '相机、';
								break;
							case 'contacts':
								notPermissionsStr += '通讯录、';
								break;
							case 'location':
								notPermissionsStr += '定位、';
								break;
							case 'phone':
								notPermissionsStr += '电话、';
								break;
							case 'photos':
								notPermissionsStr += '数据存储、';
								break;

						}

					}
					if (notPermissionsStr) {
						notPermissionsStr = notPermissionsStr.substring(0, notPermissionsStr.lastIndexOf('、'));
						//没有获取到
						api.sendEvent({
							name: 'notGetPermissionEvent',
							extra: {
									key: true,
							}
					   });
						api.alert({
						    title: '提醒',
						    msg: '美亚航旅没有获得到 ' + notPermissionsStr + " 等权限,请前往手机系统中设置对应权限",
						}, function(ret, err){
						    if( ret ){

						    }
						});
					}

			}
		});
}
