(function(window) {
  window.timeUtils = {


    getTimeMin:function(time){


      var min = 0;
      if (time.indexOf('h') != -1) {
        var arr = time.split('h');

         min = 60*parseInt(arr[0]);
        if (arr[1]!= '') {

          min = min + parseInt(arr[1].split('m')[0]);

        }

      }else {
          min =parseInt(s.split('m')[0]);

      }
      return min;
    },
    getDayTime:function(time1,time2){
    time1 = Date.parse(time1)/1000;
    time2 = Date.parse(time2)/1000;
    var time_ = time2 - time1;
    return (time_/(3600*24));

  },

    getMomentTime:function(time){
      var now = new Date(time.replace(/-/g, "/"));
      if (now.getHours()>=0 && now.getHours()<=11) {
        return 'm';
      }
      if (now.getHours()>=12 && now.getHours()<=17) {
        return 'a';
      }
      if (now.getHours()>=18 && now.getHours()<=23) {
        return 'n';
      }
    },

    getMsTime:function(startDateString, endDateString){
      startDate = new Date(startDateString.replace(/-/g, "/"));


      endDate = new Date(endDateString.replace(/-/g, "/"));

      return endDate.getTime() - startDate.getTime(); //时间差的毫秒数


    },
    getTime: function(startDateString, endDateString) {

        startDate = new Date(startDateString.replace(/-/g, "/"));


        endDate = new Date(endDateString.replace(/-/g, "/"));

        var date3 = endDate.getTime() - startDate.getTime(); //时间差的毫秒数


        //计算出相差天数
        var days = Math.floor(date3 / (24 * 3600 * 1000))

        //计算出小时数

        var leave1 = date3 % (24 * 3600 * 1000) //计算天数后剩余的毫秒数
        var hours = Math.floor(leave1 / (3600 * 1000))
            //计算相差分钟数
        var leave2 = leave1 % (3600 * 1000) //计算小时数后剩余的毫秒数
        var minutes = Math.floor(leave2 / (60 * 1000))


        //计算相差秒数
        var leave3 = leave2 % (60 * 1000) //计算分钟数后剩余的毫秒数
        var seconds = Math.round(leave3 / 1000)

        return [days, hours, minutes, seconds];

    },
     getWeek:function(dateString){
        var date;
        var d =new Date().getDate()+"";
        if (d.length == 1) {
          d = "0" + new Date().getDate();
        }
        var m = parseInt(new Date().getMonth())+1+"";
        if (m.length ==1) {
          m = "0"+m;
        }
        var nowDateString = new Date().getFullYear()+"-"+m+"-"+d;
        if (dateString == nowDateString) {
          return "今天";
        }
        var dateArray = dateString.split("-");
            date = new Date(dateArray[0], parseInt(dateArray[1] - 1), dateArray[2]);

        var weeks = new Array("日", "一", "二", "三", "四", "五", "六");
        return "周" + weeks[date.getDay()];

    },
     getFullTime:function (time) {
       var date = time;
   		 var y = date.getFullYear();
   		 var m = date.getMonth() + 1;
   		 m = m < 10 ? ('0' + m) : m;
   		 var d = date.getDate();
   		 d = d < 10 ? ('0' + d) : d;
   		 var h = date.getHours();
   		 h = h < 10 ? ('0' + h) : h;
   		 var minute = date.getMinutes();
   		 var second = date.getSeconds();
   		 var millisecond = date.getMilliseconds();
   		 minute = minute < 10 ? ('0' + minute) : minute;
   		 second = second < 10 ? ('0' + second) : second;
   		 if (millisecond < 10) {
   		 	 millisecond = '00' + millisecond;
   		 }else if (millisecond < 100) {
   		 	 millisecond = '0' + millisecond;
   		 }
   	// 	 return y + '-' + m + '-' + d + ' ' + h + ':' + minute + ':' + second + ':' + millisecond;
       return y + '-' + m + '-' + d + ' ' + h + ':' + minute + ':' + second; ////ios系统不识别毫秒
    },
    //"00:00" "24:00" 24小时制时分比较
  	compareTime:function (t1,t2){
  		var date = new Date();
  		var a = t1.split(":");
  		var b = t2.split(":");
  		return date.setHours(a[0],a[1]) >= date.setHours(b[0],b[1]);
  	},
    parseDateFormat:function (date) {
      if(!date) return '';
      var Month = date.substring(2, 5);
      switch (Month)
      {
          case "JAN": Month = "1"; break;
          case "FEB": Month = "2"; break;
          case "MAR": Month = "3"; break;
          case "APR": Month = "4"; break;
          case "MAY": Month = "5"; break;
          case "JUN": Month = "6"; break;
          case "JUL": Month = "7"; break;
          case "AUG": Month = "8"; break;
          case "SEP": Month = "9"; break;
          case "OCT": Month = "10"; break;
          case "NOV": Month = "11"; break;
          case "DEC": Month = "12"; break;
          default: break;
      }

      var Day = date.substring(0, 2);
      return Month + "月" + Day + "日";
    },
    parseDateFormat2:function (date) {
      if(!date) return '';
      var Month = date.substring(2, 5);
      switch (Month)
      {
          case "JAN": Month = "1"; break;
          case "FEB": Month = "2"; break;
          case "MAR": Month = "3"; break;
          case "APR": Month = "4"; break;
          case "MAY": Month = "5"; break;
          case "JUN": Month = "6"; break;
          case "JUL": Month = "7"; break;
          case "AUG": Month = "8"; break;
          case "SEP": Month = "9"; break;
          case "OCT": Month = "10"; break;
          case "NOV": Month = "11"; break;
          case "DEC": Month = "12"; break;
          default: break;
      }

      var Day = date.substring(0, 2);
      Month = Month < 10 ? ('0' + Month) : Month;
      Day = Day < 10 ? ('0' + Day) : Day;
      return Month + "-" + Day;
    },
    parseDateFormat3:function (dateStr) {//4-19
      if(!dateStr) return '';
      var Month = dateStr.split('-')[0];
      switch (Month)
      {
          case "1": Month = "JAN"; break;
          case "2": Month = "FEB"; break;
          case "3": Month = "MAR"; break;
          case "4": Month = "APR"; break;
          case "5": Month = "MAY"; break;
          case "6": Month = "JUN"; break;
          case "7": Month = "JUL"; break;
          case "8": Month = "AUG"; break;
          case "9": Month = "SEP"; break;
          case "10": Month = "OCT"; break;
          case "11": Month = "NOV"; break;
          case "12": Month = "DEC"; break;
          default: break;
      }

      var Day = dateStr.split('-')[1];
      return Day + '' + Month;//19APR
    },
    //指定日期增加月数
    addMonth: function (dateStr,addMonth) {
      var dd = new Date(dateStr);
      var y = dd.getFullYear();
      var m = dd.getMonth();
      var nextY = y;
      var nextM = m;
      //如果当前月+增加的月>11 这里之所以用11是因为 js的月份从0开始
      if ((m + addMonth)> 11) {
          nextY = y + 1;
          nextM = parseInt(m + addMonth) - 12;
      } else {
          nextM = dd.getMonth() + addMonth;
      }
      var daysInNextMonth = this.daysInMonth(nextY, nextM);
      var day = dd.getDate();
      if (day > daysInNextMonth) {
           day = daysInNextMonth;
      }
      var newDate = new Date(nextY, nextM, day);

      var y = newDate.getFullYear();
      var m = (newDate.getMonth() + 1) < 10 ? "0" + (newDate.getMonth() + 1) : (newDate.getMonth() + 1);
      var d = newDate.getDate() < 10 ? "0" + newDate.getDate() : newDate.getDate();

      return y + "-" + m + "-" + d

    },
    //计算当前月最大天数
    daysInMonth: function (year, month) {
        if (month == 1) {
            if (year % 4 == 0 && year % 100 != 0)
             return 29;
            else
             return 28;
        } else if ((month <= 6 && month % 2 == 0) || (month > 6 && month % 2 == 1))
            return 31;
        else
            return 30;
    },

  }
})(window)
