/*
*
*   DatePickerSingle JavaScript Library
*   Author： meiya
*   Date：2018年8月
*
*/

var DatePicker = function() {
    var curr_year = new Date().getFullYear();
    var curr_month = new Date().getMonth()+1;
    var curr_day = new Date().getDate();
    var clickindex = 0;
    var startcheck = 0;
    var startobj = null;
    var endcheck = 0;
    var endobj = null;
    var inputstartobj = null;
    var inputendobj = null;
    function init(trendsName, config) {
        window[ trendsName ] = this;
        Date.prototype._start = function() {
            var start = new Date(this),
                end = new Date(this);
            start.setDate(1);
            end.setDate(1);
            end.setMonth(end.getMonth() - 1 );
            return { len: start.getDay(), end: Math.abs( ( start - end ) / 86400000) };
        };
        Date.prototype._end = function() {
            var start = new Date(this),
                end = new Date(this);
            start.setDate(1);
            end.setDate(1);
            end.setMonth(end.getMonth() + 1);
            return { date: start, len: (end - start) / 86400000 };
        };
        Date.prototype.setFormat = function( num ) {
            return num < 10 ? '0'+num: num;
        };
        this.trendsName = trendsName;
        this.config = config;
        this.vDate = new Date;
        this.update( config.update && config.update[0], config.update && config.update[1] );
    }
    init.prototype = {
        update: function(y, m) {
            var con = [],
                D = this.vDate,
                _this = this,
                _html = '<table cellpadding=0 cellspacing=2>';


            y && D.setYear(D.getFullYear() + y);
            m && D.setMonth(D.getMonth() + m,1); //因为当前月份是31天，而设置的月份小于31天，就会把日期顺延。在setMonth的说明

            var year = D.getFullYear(),
            month = D.getMonth() + 1,
            date = D.getDate();

            var start = D._start();
            for (var i = start.len - 1; i >= 0; i--){
                // con.push('<td> <span style="color:#CFCFCF">'+( start.end - i )+'</span></td>');
                con.push('<td> <span style="color:#CFCFCF"></span></td>');//隐藏 1号前的日期
                // con.push('<td class="noborder">'+( start.end - i )+'</td>');
            }

            var end = D._end();
            // console.log(date + "-" + curr_month +"-" + curr_year);

            for (var i = 0; i < end.len; i++){
                var specialDate = '';
                if( this.config.specialDate ){
                    if( Object.keys( this.config.specialDate ).indexOf( month.toString() ) != -1 ){
                        if( this.config.specialDate[month][ i + 1 ] ){
                            specialDate = this.config.specialDate[month][ i + 1 ];
                        }
                    }
                }
                // console.log(this.config.mindate.substring(8,2));
                // console.log(this.config.maxdate);
                // console.log(this.config.maxdate.substring(4,0));
                //  console.log(this.config.maxdate.substring(5,7));
                var monthStr =  month < 10 ? ('0' + month) : month;
                var dayStr = (i + 1) < 10 ? ('0' + (i + 1)) : (i + 1)


                if (month == curr_month && year == curr_year && checkDate(year+'-'+monthStr+'-'+dayStr,this.config.mindate)  ) {
                    if (date == curr_day && month == curr_month && year == curr_year && date == i+1) {
                      specialDate = "<div class='specialDate' >今天</div>";
                      con.push('<td id="'+year+'-'+ monthStr +'-'+ dayStr +'"> <span style="color:#e0e0e0">'+specialDate +( i + 1 )+'</span></td>');
                    }
                    else {
                      // con.push('<td tapmode onclick="' + this.trendsName + '.fillOutInput({ el: this })" > <span style="color:#e0e0e0">'+( i + 1 )+'</span></td>');
                      con.push('<td id="'+year+'-'+ monthStr +'-'+ dayStr +'"> <span style="color:#e0e0e0">'+( i + 1 )+'</span></td>');
                    }

                }else if (checkDate(year+'-'+monthStr+'-'+dayStr,this.config.mindate)) {
                  con.push('<td id="'+year+'-'+ monthStr +'-'+ dayStr +'"> <span style="color:#e0e0e0">'+( i + 1 )+'</span></td>');
                }
                else if ( this.config.maxdate != "" && this.config.maxdate != undefined && ((year > parseInt(this.config.maxdate.substring(4,0))) || (year == parseInt(this.config.maxdate.substring(4,0)) && month > parseInt(this.config.maxdate.substring(5,7)))
                  || (year == parseInt(this.config.maxdate.substring(4,0)) && month == parseInt(this.config.maxdate.substring(5,7)) && i >= parseInt(this.config.maxdate.substring(8,10)))) ) {
                  con.push('<td id="'+year+'-'+ monthStr +'-'+ dayStr +'"> <span style="color:#CFCFCF">'+( i + 1 )+'</span></td>');
                }
                else if (this.config.godate !="" && month == parseInt(this.config.godate.substring(5,7)) && year == parseInt(this.config.godate.substring(0,4)) && i+1 == parseInt(this.config.godate.substring(8,10))) {
                  specialDate = "<div class='selectDate' style='color:#fff;' >出发</div>";
                  if (con.length % 7 == 0 || con.length % 7 == 6) {
                    con.push('<td id="'+this.config.godate+'" style="background-color: #13a1ff;color:#167df2;" currday="'+(i + 1)+'" currtime =\'' + new Date( ( end.date.getTime() + ( i * ( 3600 * 24 ) * 1000 ) ) ).getTime() + '\' tapmode onclick="' + this.trendsName + '.fillInput({ el: this , date: \'' + new Date( ( end.date.getTime() + ( i * ( 3600 * 24 ) * 1000 ) ) ).getTime() + '\' })">'+specialDate+'' + (i + 1) + '</td>');
                  }
                  else {
                    con.push('<td id="'+this.config.godate+'" style="background-color: #13a1ff;" currday="'+(i + 1)+'" currtime =\'' + new Date( ( end.date.getTime() + ( i * ( 3600 * 24 ) * 1000 ) ) ).getTime() + '\' tapmode onclick="' + this.trendsName + '.fillInput({ el: this , date: \'' + new Date( ( end.date.getTime() + ( i * ( 3600 * 24 ) * 1000 ) ) ).getTime() + '\' })">'+specialDate+'' + (i + 1) + '</td>');
                  }

                }
                else if (date == curr_day && month == curr_month && year == curr_year && date == i+1) {
                  specialDate = "<div class='specialDate' >今天</div>";
                  con.push('<td style="" id="'+year+'-'+ monthStr +'-'+ dayStr +'" currday="'+(i + 1)+'" currtime =\'' + new Date( ( end.date.getTime() + ( i * ( 3600 * 24 ) * 1000 ) ) ).getTime() + '\' tapmode onclick="' + this.trendsName + '.fillInput({ el: this , date: \'' + new Date( ( end.date.getTime() + ( i * ( 3600 * 24 ) * 1000 ) ) ).getTime() + '\' })">'+specialDate+'' + (i + 1) + '</td>');
                }
                else {
                  //周末特效
                  if (con.length % 7 == 0 || con.length % 7 == 6) {
                    con.push('<td style="color:#167df2" id="'+year+'-'+ monthStr +'-'+ dayStr +'" currday="'+(i + 1)+'" currtime =\'' + new Date( ( end.date.getTime() + ( i * ( 3600 * 24 ) * 1000 ) ) ).getTime() + '\'  tapmode onclick="' + this.trendsName + '.fillInput({ el: this , date: \'' + new Date( ( end.date.getTime() + ( i * ( 3600 * 24 ) * 1000 ) ) ).getTime() + '\' })">'+specialDate+'' + (i + 1) + '</td>');
                  }else {
                    con.push('<td style="" id="'+year+'-'+ monthStr +'-'+ dayStr +'" currday="'+(i + 1)+'" currtime =\'' + new Date( ( end.date.getTime() + ( i * ( 3600 * 24 ) * 1000 ) ) ).getTime() + '\'  tapmode onclick="' + this.trendsName + '.fillInput({ el: this , date: \'' + new Date( ( end.date.getTime() + ( i * ( 3600 * 24 ) * 1000 ) ) ).getTime() + '\' })">'+specialDate+'' + (i + 1) + '</td>');
                  }
                }
            }
            var toend = con.length % 7;
                for (var i = 0; i < 7 - toend; i++){
                    // con.push('<td > <span style="color:#CFCFCF">'+( i + 1 )+'</span></td>');
                    con.push('<td > <span style="color:#CFCFCF"></span></td>');//隐藏当月末最后一天后的日期
                }
                for (var i = 0; i < con.length; i++){
                    _html += (i == 0 ? '<tr>': i % 7 == 0 ? '</tr><tr>': '') +  con[i] + (i == con.length - 1 ? '</tr>': '');
                }
            if (m == 11) {
              this.createBox( '<div class="title" id="'+year+'-'+D.setFormat( month )+'">'+( year+' 年 '+D.setFormat( month )+' 月' )+'</div>'+_html ,true);
            }else {
              this.createBox( '<div class="title" id="'+year+'-'+D.setFormat( month )+'">'+( year+' 年 '+D.setFormat( month )+' 月' )+'</div>'+_html ,false);
            }

        },
        fillInput: function( d ) {
            var obj = d.el;
            var curr_days= obj.getAttribute("currday");
            var curr_time = obj.getAttribute("currtime");
            inputstartobj = document.getElementById(this.config.godate)

            if (clickindex == 0) {
              clickindex = clickindex + 1;
              startcheck = curr_days;
              startobj = obj;
              //输入去程时间
              if (inputstartobj !=undefined) {
                inputstartobj.innerHTML = inputstartobj.getAttribute("currday")
                inputstartobj.style.backgroundColor = "#fff"
              }

              obj.style.backgroundColor="#13a1ff"
              obj.setAttribute("currtime",curr_time);
              // obj.innerHTML =  "<div class='selectDate' >去程</div>"+curr_days;
              obj.innerHTML =  "<div class='selectDate'  style='color:#fff;' >出发</div>"+curr_days;

              var curr_monthStr =  curr_month < 10 ? ('0' + curr_month) : curr_month;
              var curr_dayStr = curr_day < 10 ? ('0' + curr_day) : curr_day;
              var currdateStr = curr_year+ '-'+ curr_monthStr + '-' + curr_dayStr;

              if (currdateStr != formatDateTime(startobj.getAttribute("currtime")) && checkDate(formatDateTime(startobj.getAttribute("currtime")),currdateStr)) {
                 document.getElementById(currdateStr).innerHTML =  "<div class='specialDate' >今天</div>" + document.getElementById(currdateStr).getAttribute("currday");
              }
            }

            this.config.callback( {eventType: 'click', el: d.el, startime: formatDateTime(startobj.getAttribute("currtime"))} );
        },
        createBox: function(html,isend) {
            this.config.callback( {eventType: 'show', data: html, isend:isend} );

        }
        // ,
        // fillOutInput: function( q ){
        //     api.toast({
        //         msg: '该日期不能选择',
        //         duration: 1500,
        //         location: 'bottom'
        //     });
        //
        // }
    }
    return init;
}();

function formatDateTime(timeValue) {
    var date = new Date(parseInt(timeValue));
    var y = date.getFullYear();
    var m = date.getMonth() + 1;
    m = m < 10 ? ('0' + m) : m;
    var d = date.getDate();
    d = d < 10 ? ('0' + d) : d;
    return y + '-' + m + '-' + d;
};

//比较大小
function checkDate(start,end) {

  var startTime = getDate(start);
  var endTime = getDate(end);
  if ((endTime.getTime()-startTime.getTime())>=0) {
    return true;
  }else {
    return false;
  }
}

function getDate(datestr){
  var temp = datestr.split("-");
  var date = new Date(temp[0],temp[1]-1,temp[2]);
  return date;
}
