
  var cityList = [];

  var hotCity = [{"CityCode":"HKG","CityNameCN":"中国香港","FirstPinyin":"Xianggang","countryId":"10088"},
                 {"CityCode":"SIN","CityNameCN":"新加坡","FirstPinyin":"Xinjiapo","countryId":"0"},
                 {"CityCode":"TPE","CityNameCN":"中国台北","FirstPinyin":"Taibei","countryId":"10193"},
                 {"CityNameCN":"东京","CityCode":"TYO","FirstPinyin":"Dongjing","countryId":"10103"},
                  {"CityNameCN":"曼谷","CityCode":"BKK","FirstPinyin":"Mangu","countryId":"10197"},
                  {"CityNameCN":"巴黎","CityCode":"PAR","FirstPinyin":"Bali","countryId":"0"},
                  {"CityNameCN":"伦敦","CityCode":"LON","FirstPinyin":"Lundun","countryId":"10072"},
                  {"CityNameCN":"吉隆坡","CityCode":"KUL","FirstPinyin":"Jilongpo","countryId":"10143"},
                  {"CityNameCN":"首尔","CityCode":"SEL","FirstPinyin":"Shouer","countryId":"0"},
                  {"CityNameCN":"悉尼","CityCode":"SYD","FirstPinyin":"Xini","countryId":"10211"},
                  {"CityNameCN":"法兰克福","CityCode":"FRA","FirstPinyin":"Falankefu","countryId":"10055"},
                  {"CityNameCN":"纽约","CityCode":"NYC","FirstPinyin":"NiuYue","countryId":"10211"}
                ]


  $(function () {

      // cityListJson=$.ajax({url:"./res/cityInlandCode.json",async:false});
      // cityList = JSON.parse(cityListJson.responseText)
      // console.log(JSON.stringify(cityList));

      fileImport();//读取城市数据

      init();

      // 选择城市
      $('body').on('click', '.city-list p', function () {
          var data = $(this).text();
          var dataAll = JSON.parse($(this).attr("data-value"));
          console.log("点击列表:"+$(this).attr("data-value")); //data-value 城市所有信息
          // data-city 城市中文名称
          // console.log(data);
          api.execScript({
              name: 'cityChoiceWin',
              frameName: 'cityNation',
              script: 'ChooseCity('+$(this).attr("data-value")+');'
          });

          saveHistory($(this).attr("data-city"),dataAll);//只保存城市名
      });

      //选择热门城市
      $('.hot.hotCity').on('click', 'div', function () {
          var data = $(this).text();
          var dataAll = JSON.parse($(this).attr("data-value"));
          console.log("点击热门:"+JSON.stringify(dataAll));
          api.execScript({
              name: 'cityChoiceWin',
              frameName: 'cityNation',
              script: 'ChooseCity('+$(this).attr("data-value")+');'
          });
          saveHistory(data,dataAll);
      });

  })

  //点击历史
  function bindHistoryClick() {
    $('.history .hot').on('click', 'div', function () {
        var data = $(this).text();
        console.log("点击历史记录:"+$(this).attr("data-value"));
        var dataAll = JSON.parse($(this).attr("data-value"));
        api.execScript({
            name: 'cityChoiceWin',
            frameName: 'cityNation',
            script: 'ChooseCity('+$(this).attr("data-value")+');'
        });
        saveHistory(data,dataAll);
    });

  }

  function clearHistory() {
    localStorage.setItem('hotelHistory_NJ', '');
    localStorage.setItem('hotelHistoryInfo_NJ', []);
    initHistory();
  }

  function saveHistory(data,dataAll) {
    var hotelHistory_NJ = localStorage.getItem('hotelHistory_NJ');//中文城市名称  [A,B,C,]
    var hotelHistoryInfo_NJ = localStorage.getItem('hotelHistoryInfo_NJ');//中文城市名称对应的详情[{A},{B},{C},]
    if (hotelHistoryInfo_NJ == undefined ||  hotelHistoryInfo_NJ == null || hotelHistoryInfo_NJ == "") {
      hotelHistoryInfo_NJ = [];
    }else {
      hotelHistoryInfo_NJ = JSON.parse(hotelHistoryInfo_NJ)
    }
    if(!hotelHistory_NJ){
      hotelHistory_NJ = '';
    }
    //存在同中文名城市/机场
    var hotelHistory_NJList = hotelHistory_NJ.split(',');
    hotelHistory_NJList.pop();

    if(hotelHistory_NJList.length > 0 && hotelHistory_NJList.indexOf(data) > -1) {
    // if(hotelHistory_NJ.indexOf(data) > -1) {
      var arr = hotelHistory_NJ.split(',');
      var arrInfo = hotelHistoryInfo_NJ;
      var newArr = [];
      var newArrInfo = [];
      $.each(arr, function (i, item) {
        if(item !== data) {//历史记录不存在
          newArr.push(item);
        }
      })
      // console.log(newArr);
      // console.log(JSON.stringify(arrInfo));
      $.each(arrInfo, function (i, item) {

        // if(JSON.stringify(item) != JSON.stringify(dataAll)) {//历史记录不存在
        //   newArrInfo.push(item)
        // }else {
        //   newArrInfo.unshift(item)
        // }
        if(item.CityNameCN != dataAll.CityNameCN) {//历史记录不存在
          newArrInfo.push(item)
        }else {
          newArrInfo.unshift(item)
        }
      })

      hotelHistory_NJ = newArr.join(','); //阿拉伯里,塞哥维亚,阿瓦拉达姆,宁波
      hotelHistoryInfo_NJ = newArrInfo;
    }
    else {
      hotelHistoryInfo_NJ.unshift(dataAll);//unshift
    }



    localStorage.setItem('hotelHistory_NJ', data + ',' + hotelHistory_NJ);
    localStorage.setItem('hotelHistoryInfo_NJ', JSON.stringify(hotelHistoryInfo_NJ));
    // console.log(localStorage.getItem('hotelHistory_NJ'));
    // console.log(JSON.stringify(localStorage.getItem('hotelHistoryInfo_NJ')));
    initHistory();
  }

  function init() {
      $('.city').html('');
      var hotHtml = '';
      hotHtml += '<div class="history" style="margin-top: 0px;margin-bottom: 15px;"></div>';
      hotHtml += '<div class="tips" id="热门1">热门城市</div>';
      hotHtml += '<div class="hot hotCity">';
      $.each(hotCity, function (i, item) {
          var itemstr = JSON.stringify(item).replace(/\s+/g,"").replace(/\n/g,"\\\\n");
          hotHtml += '<div data-value='+ itemstr +' >' + item.CityNameCN + '</div>'
      })
      hotHtml += '</div>';

      $('.city').append(hotHtml);

      // clearHistory();//清历史

      initHistory();


      var html = '';
      $.each(cityList, function (i, item) {
          html += '<div class="city-list"><span class="city-letter" id="' + item.key + '1">' + item.key + '</span>';
          $.each(item.data, function (j, data) {
              var datastr = JSON.stringify(data).replace(/\s+/g,"").replace(/\n/g,"\\\\n"); //json 转string 有空格会失败
              html += '<p data-value = '+ datastr +' data-city='+ data.CityNameCN +'>' + data.CityNameCN + '<span style:"color:gray;">(' + data.CityCode + ') </span></p>';
          })
          html += '</div>';
      })
      $('.city').append(html);
  }

  function initHistory() {  // 历史记录渲染
      var hotelHistory_NJ = localStorage.getItem('hotelHistory_NJ');
      var hotelHistoryInfo_NJ = localStorage.getItem('hotelHistoryInfo_NJ');
      if (hotelHistoryInfo_NJ != undefined && hotelHistoryInfo_NJ != null && hotelHistoryInfo_NJ != "") {
        hotelHistoryInfo_NJ = JSON.parse(hotelHistoryInfo_NJ)
      }else {
        hotelHistoryInfo_NJ = [];
      }
      //多余6个的去除最后的
      if (hotelHistoryInfo_NJ.length > 6) {
        hotelHistoryInfo_NJ = hotelHistoryInfo_NJ.slice(0,6);
        var hotelHistory_NJ_JSON = hotelHistory_NJ.split(',');
        hotelHistory_NJ_JSON = hotelHistory_NJ_JSON.slice(0,6);
        hotelHistory_NJ = hotelHistory_NJ_JSON.join(',') + ",";
      }
      // console.log(hotelHistory_NJ)
      // console.log(hotelHistoryInfo_NJ.length);

      var history = '';
      // history += '<div class="tips" id="历史1">历史记录<div class="clear-history" onClick="clearHistory();">清空历史</div></div>';
      history += '<div class="tips" id="历史1">历史记录</div>';
      history += '<div class="hot">';
      if(hotelHistory_NJ) {
        $.each(hotelHistory_NJ.split(','), function (i, item) {
          if(item) {
            // console.log(item);
            // console.log(JSON.stringify(hotelHistoryInfo_NJ[i]));
            history += '<div data-value ='+ JSON.stringify(hotelHistoryInfo_NJ[i]) +'>' + item + '</div>'
          }
        })
      }
      history += '</div>';
      $('.history').html(history);
      bindHistoryClick();
  }

  ; (function ($) {

      $('.letter').bind("touchstart touchmove", function (e) {
          var top = $(window).scrollTop();
          e.preventDefault();//阻止默认滚动
          var touch = e.touches[0];
          var ele = document.elementFromPoint(touch.pageX, touch.pageY - top);

          if (ele.tagName === 'A') {
              var s = $(ele).text();
              $(window).scrollTop($('#' + s + '1').offset().top)
              $("#showLetter span").html(s.substring(0, 1));
              $("#showLetter").show();
          }
      });

      $('.letter').bind("touchend", function (e) {
          $("#showLetter").hide(0);
      });

  })(Zepto);


  function fileImport() {
    // $.ajax({
    //    url: "./res/cityInlandCode.json",//json文件位置
    //    type: "GET",//请求方式为get
    //    dataType: "json", //返回数据格式为json
    //    success: function(data) {//请求成功完成后要执行的方法
    //         console.log(data);
    //        //each循环 使用$.each方法遍历返回的数据date
    //       //  $.each(data.first, function(i, item) {
    //       //       console.log(item);
    //       //  })
    //    }
    // })
    // console.log($("#txt_id").val());
    // var inlandCitycodedata = $api.getStorage('inlandCitycode201908');//国内城市缓存
    var nationCitycodedata = $api.getStorage('nationCitycode201908');//国际城市缓存
    if(nationCitycodedata != undefined && nationCitycodedata!= null && nationCitycodedata.length > 0){
      cityList = JSON.parse(nationCitycodedata);
    }
    
    // console.log(inlandCitycodedata);

    // //测试数据  后续拿缓存
    // $.ajax({
    //   url:"../../res/cityInlandCodeTest.json",
    //   // url:"../../res/cityInlandCode.json",
    //   // url:"fs://cityCode.txt",
    //   // url:"fs://nationCityCode.json",
    //   async:false,
    //   // dataType: "json",
    //   success: function(data) {
    //     console.log(data);
    //     cityList = JSON.parse(data)
    //   }
    // });

    // var param = {
		// 	url:"../../res/cityInlandCode.json"
    // }
    // api.ajax(param, function(ret,err){
    //   console.log(JSON.stringify(ret));
    //   console.log(JSON.stringify(err));
    //
    // });



  }
