  //飞行时长 短-长
  function sortTotalDuration(data) {
    data.sort(function(a, b) {
      var a_starttime = a.trips[0].flights[0].departure_date +" "+ a.trips[0].flights[0].departure_time+":00";
      var b_starttime = b.trips[0].flights[0].departure_date +" " + b.trips[0].flights[0].departure_time+":00";
      var a_arrivetime = a.trips[0].flights[0].arrival_date +" " + a.trips[0].flights[0].arrival_time+":00";
      var b_arrivetime = b.trips[0].flights[0].arrival_date +" " + b.trips[0].flights[0].arrival_time+":00";
      var aTime = getMsTime(a_starttime,a_arrivetime);
      var bTime = getMsTime(b_starttime,b_arrivetime);
      return aTime - bTime;
    });
    return data;
  }

  //起飞时间 早-晚
  function sortStarttime(data) {
    data.sort(function(a, b) {
      var a_starttime = a.trips[0].flights[0].departure_date + a.trips[0].flights[0].departure_time;
      var b_starttime = b.trips[0].flights[0].departure_date + b.trips[0].flights[0].departure_time;
      a_starttime = a_starttime.replace(/-/g, '').replace(':', '');
      b_starttime = b_starttime.replace(/-/g, '').replace(':', '');
      return parseInt(a_starttime, 10) - parseInt(b_starttime, 10);
    });
    return data;
  }

  //到达时间 早-晚
  function sortArrivetime(data) {
    data.sort(function(a, b) {
      var a_arrivetime = a.trips[0].flights[0].arrival_date + a.trips[0].flights[0].arrival_time;
      var b_arrivetime = b.trips[0].flights[0].arrival_date + b.trips[0].flights[0].arrival_time;
      a_arrivetime = a_arrivetime.replace(/-/g, '').replace(':', '');
      b_arrivetime = b_arrivetime.replace(/-/g, '').replace(':', '');
      return parseInt(a_arrivetime, 10) - parseInt(b_arrivetime, 10);
    });
    return data;
  }

  //价格 低-高
  function sortFare(data,tax) {
    if (tax == "true") {
      data.sort(function(a, b) {
        if (a.cabin_fares[0].psg_fares[0].l_final_fare === b.cabin_fares[0].psg_fares[0].l_final_fare) {
          var a_starttime = a.trips[0].flights[0].departure_date +" "+ a.trips[0].flights[0].departure_time+":00";
          var b_starttime = b.trips[0].flights[0].departure_date +" " + b.trips[0].flights[0].departure_time+":00";
          var a_arrivetime = a.trips[0].flights[0].arrival_date +" " + a.trips[0].flights[0].arrival_time+":00";
          var b_arrivetime = b.trips[0].flights[0].arrival_date +" " + b.trips[0].flights[0].arrival_time+":00";
          var aTime = getMsTime(a_starttime,a_arrivetime);
          var bTime = getMsTime(b_starttime,b_arrivetime);
          return  aTime - bTime;
        }else {
          return  a.cabin_fares[0].psg_fares[0].l_final_fare - b.cabin_fares[0].psg_fares[0].l_final_fare;
        }
      });
      return data;
    } else {
      data.sort(function(a, b) {
        if (a.cabin_fares[0].psg_fares[0].l_final_fare_without_tax === b.cabin_fares[0].psg_fares[0].l_final_fare_without_tax) {
          var a_starttime = a.trips[0].flights[0].departure_date +" "+ a.trips[0].flights[0].departure_time+":00";
          var b_starttime = b.trips[0].flights[0].departure_date +" " + b.trips[0].flights[0].departure_time+":00";
          var a_arrivetime = a.trips[0].flights[0].arrival_date +" " + a.trips[0].flights[0].arrival_time+":00";
          var b_arrivetime = b.trips[0].flights[0].arrival_date +" " + b.trips[0].flights[0].arrival_time+":00";
          var aTime = getMsTime(a_starttime,a_arrivetime);
          var bTime = getMsTime(b_starttime,b_arrivetime);
          return  aTime - bTime;
        }else {
          return  a.cabin_fares[0].psg_fares[0].l_final_fare_without_tax - b.cabin_fares[0].psg_fares[0].l_final_fare_without_tax;
        }
      });
      return data;
    }

  }

  //价格 低-高
  function sortFareShare(data,tax,showModelObj) {
    if (tax == "true") {
      data.sort(function(a, b) {
        if (getShoppingPriceWithl_final_fare(a.cabin_fares[0].psg_fares[0],showModelObj) === getShoppingPriceWithl_final_fare(b.cabin_fares[0].psg_fares[0],showModelObj)) {
          var a_starttime = a.trips[0].flights[0].departure_date +" "+ a.trips[0].flights[0].departure_time+":00";
          var b_starttime = b.trips[0].flights[0].departure_date +" " + b.trips[0].flights[0].departure_time+":00";
          var a_arrivetime = a.trips[0].flights[0].arrival_date +" " + a.trips[0].flights[0].arrival_time+":00";
          var b_arrivetime = b.trips[0].flights[0].arrival_date +" " + b.trips[0].flights[0].arrival_time+":00";
          var aTime = getMsTime(a_starttime,a_arrivetime);
          var bTime = getMsTime(b_starttime,b_arrivetime);
          return  aTime - bTime;
        }else {
          return  getShoppingPriceWithl_final_fare(a.cabin_fares[0].psg_fares[0],showModelObj) - getShoppingPriceWithl_final_fare(b.cabin_fares[0].psg_fares[0],showModelObj);
        }
      });
      return data;
    } else {
      data.sort(function(a, b) {
        if (getShoppingPriceWithl_final_fare_without_tax(a.cabin_fares[0].psg_fares[0],showModelObj) === getShoppingPriceWithl_final_fare_without_tax(b.cabin_fares[0].psg_fares[0],showModelObj)) {
          var a_starttime = a.trips[0].flights[0].departure_date +" "+ a.trips[0].flights[0].departure_time+":00";
          var b_starttime = b.trips[0].flights[0].departure_date +" " + b.trips[0].flights[0].departure_time+":00";
          var a_arrivetime = a.trips[0].flights[0].arrival_date +" " + a.trips[0].flights[0].arrival_time+":00";
          var b_arrivetime = b.trips[0].flights[0].arrival_date +" " + b.trips[0].flights[0].arrival_time+":00";
          var aTime = getMsTime(a_starttime,a_arrivetime);
          var bTime = getMsTime(b_starttime,b_arrivetime);
          return  aTime - bTime;
        }else {
          return  getShoppingPriceWithl_final_fare_without_tax(a.cabin_fares[0].psg_fares[0],showModelObj) - getShoppingPriceWithl_final_fare_without_tax(b.cabin_fares[0].psg_fares[0],showModelObj);
        }
      });
      return data;
    }

  }


  //直飞优先
  function sortWay(data,tax) {
    if (tax == "true") {
      data.sort(function(a, b) {
        if (a.trips[0].flights[0].stop === b.trips[0].flights[0].stop) {
          var aFare = a.cabin_fares[0].psg_fares[0].l_final_fare;
          var bFare = b.cabin_fares[0].psg_fares[0].l_final_fare;
          return  aFare - bFare;
        }else {
          return  a.trips[0].flights[0].stop - b.trips[0].flights[0].stop;
        }
      });
    } else {
      data.sort(function(a, b) {
        if (a.trips[0].flights[0].stop === b.trips[0].flights[0].stop) {
          var aFare = a.cabin_fares[0].psg_fares[0].l_final_fare_without_tax;
          var bFare = b.cabin_fares[0].psg_fares[0].l_final_fare_without_tax;
          return  aFare - bFare;
        }else {
          return  a.trips[0].flights[0].stop - b.trips[0].flights[0].stop;
        }
      });
    }

    return data;
  }

  //返利优先  含税 OR 不含税 先按返利从大到小排列，再按开票费的值从小到大排列
  function sortReward(data,tax) {
    // if (tax == "true") {
    //   data.sort(function(a, b) {
    //     if (a.cabin_fares[0].psg_fares[0].l_final_fare === b.cabin_fares[0].psg_fares[0].l_final_fare) {
    //       var aFare = a.cabin_fares[0].psg_fares[0].l_reward_fare;
    //       var bFare = b.cabin_fares[0].psg_fares[0].l_reward_fare;
    //       return  bFare - aFare;
    //     }else {
    //       return  b.cabin_fares[0].psg_fares[0].l_reward_fare - a.cabin_fares[0].psg_fares[0].l_reward_fare;
    //     }
    //   });
    //   return data;
    // } else {
    //   data.sort(function(a, b) {
    //     if (a.cabin_fares[0].psg_fares[0].l_final_fare_without_tax === b.cabin_fares[0].psg_fares[0].l_final_fare_without_tax) {
    //       var aFare = a.cabin_fares[0].psg_fares[0].l_reward_fare;
    //       var bFare = b.cabin_fares[0].psg_fares[0].l_reward_fare;
    //       return  bFare - aFare;
    //     }else {
    //       return  b.cabin_fares[0].psg_fares[0].l_reward_fare - a.cabin_fares[0].psg_fares[0].l_reward_fare;
    //     }
    //   });
    //   return data;
    // }

    data.sort(function(a, b) {
      //先按返利从大到小排列，再按开票费的值从小到大排列
      if (a.cabin_fares[0].psg_fares[0].l_reward_fare === b.cabin_fares[0].psg_fares[0].l_reward_fare) {
        var aFare = a.cabin_fares[0].psg_fares[0].service_fare;
        var bFare = b.cabin_fares[0].psg_fares[0].service_fare;
        return  aFare - bFare;
      }else {
        return  b.cabin_fares[0].psg_fares[0].l_reward_fare - a.cabin_fares[0].psg_fares[0].l_reward_fare;
      }
    });
    return data;

  }

  //每段的最大返利
  function getMaxReward(cabin_fares) {
      var maxReward = 0;
      var temp_cabin_fares = JSON.parse(JSON.stringify(cabin_fares));

      temp_cabin_fares.sort(function(a, b) {
        if (a.psg_fares[0].l_reward_fare === b.psg_fares[0].l_reward_fare) {
          var aFare = a.psg_fares[0].l_final_fare;
          var bFare = b.psg_fares[0].l_final_fare;
          return  bFare - aFare;
        }else {
          return  b.psg_fares[0].l_reward_fare - a.psg_fares[0].l_reward_fare;
        }
      });

      maxReward = temp_cabin_fares[0].psg_fares[0].l_reward_fare;

      return maxReward;
  }

  //每段的最小开票
  function getMaxService(cabin_fares) {
      var maxService = 0;
      var temp_cabin_fares = JSON.parse(JSON.stringify(cabin_fares));

      temp_cabin_fares.sort(function(a, b) {
        if (a.psg_fares[0].service_fare === b.psg_fares[0].service_fare) {
          var aFare = a.psg_fares[0].l_final_fare;
          var bFare = b.psg_fares[0].l_final_fare;
          return  aFare - bFare;
        }else {
          return  a.psg_fares[0].service_fare - b.psg_fares[0].service_fare;
        }
      });

      maxService = temp_cabin_fares[0].psg_fares[0].service_fare;

      return maxService;
  }

  //过滤共享
  function sortNotShare(data) {
    var dataNotShare = [];//过滤共享
    data.forEach(function(item) {
      if (!item.trips[0].flights[0].code_share || (item.trips[0].flights[0].code_share && !item.trips[0].flights[0].code_share.flight_number) ) {
        dataNotShare.push(item);
      }
    });
    return dataNotShare;
  }

  //直飞最低价格  中转最低价  飞行时间最少
  function minFlight(data,tax) {
      var dataDirect = [];//直飞
      var dataTransit = [];//中转
      var dataFlight = [];//飞行时间排序
      data.forEach(function(item) {
        item.minDirectFare = false;
        item.minTransitFare = false;
        item.minFlightTime = false;
        item.isST = false;//是否含官网价
        if (item.trips[0].flights[0].stop == 0) {
          dataDirect.push(item);
        }
        if (item.trips[0].flights[0].stop > 0) {
          dataTransit.push(item);
        }
        dataFlight.push(item);

        //是否含官网价
        for (var i = 0; i < item.cabin_fares.length; i++) {
          if (item.cabin_fares[i].d_target_source && (item.cabin_fares[i].d_target_source.toUpperCase() == 'ST' || item.cabin_fares[i].d_target_source.toUpperCase() == 'ST1' || item.cabin_fares[i].d_target_source.toUpperCase() == 'ST2' )) {
            item.isST = true;
            break;
          }
        }


      });


      //飞行时间长短
      dataDirect.sort(function(a, b) {
        if (a.cabin_fares[0].psg_fares[0].l_final_fare === b.cabin_fares[0].psg_fares[0].l_final_fare) {
          var a_starttime = a.trips[0].flights[0].departure_date +" "+ a.trips[0].flights[0].departure_time+":00";
          var b_starttime = b.trips[0].flights[0].departure_date +" " + b.trips[0].flights[0].departure_time+":00";
          var a_arrivetime = a.trips[0].flights[0].arrival_date +" " + a.trips[0].flights[0].arrival_time+":00";
          var b_arrivetime = b.trips[0].flights[0].arrival_date +" " + b.trips[0].flights[0].arrival_time+":00";
          var aTime = getMsTime(a_starttime,a_arrivetime);
          var bTime = getMsTime(b_starttime,b_arrivetime);
          return  aTime - bTime;
        }else {
          return  a.cabin_fares[0].psg_fares[0].l_final_fare - b.cabin_fares[0].psg_fares[0].l_final_fare;
        }
      });
      if (dataDirect && dataDirect.length > 0) {
        dataDirect[0].minDirectFare = true;
      }

      dataTransit.sort(function(a, b) {
        if (a.cabin_fares[0].psg_fares[0].l_final_fare === b.cabin_fares[0].psg_fares[0].l_final_fare) {
          var a_starttime = a.trips[0].flights[0].departure_date +" "+ a.trips[0].flights[0].departure_time+":00";
          var b_starttime = b.trips[0].flights[0].departure_date +" " + b.trips[0].flights[0].departure_time+":00";
          var a_arrivetime = a.trips[0].flights[0].arrival_date +" " + a.trips[0].flights[0].arrival_time+":00";
          var b_arrivetime = b.trips[0].flights[0].arrival_date +" " + b.trips[0].flights[0].arrival_time+":00";
          var aTime = getMsTime(a_starttime,a_arrivetime);
          var bTime = getMsTime(b_starttime,b_arrivetime);
          return  aTime - bTime;
        }else {
          return  a.cabin_fares[0].psg_fares[0].l_final_fare - b.cabin_fares[0].psg_fares[0].l_final_fare;
        }
      });
      if (dataTransit && dataTransit.length > 0) {
        dataTransit[0].minTransitFare = true;
      }

      dataFlight = sortTotalDuration(dataFlight);
      if (dataFlight && dataFlight.length > 0) {
        dataFlight[0].minFlightTime = true;
      }

      var isMinDirectFare = false;
      var isMinTransitFare = false;
      var isMinFlightTime = false;
      if (dataDirect && dataDirect.length == 0) {
        isMinDirectFare = true;
      }
      if (dataTransit && dataTransit.length == 0) {
        isMinTransitFare = true;
      }
      if (dataFlight && dataFlight.length == 0) {
        isMinFlightTime = true;
      }



      for (var i = 0; i < data.length; i++) {
        if (!isMinDirectFare) {
          for (var j = 0; j < dataDirect.length; j++) {
            if (dataDirect[j].minDirectFare && data[i].flight_id == dataDirect[j].flight_id) {
              data[i].minDirectFare = true;
              isMinDirectFare = true;
              break;
            }
          }
        }

        if (!isMinTransitFare) {
          for (var j = 0; j < dataTransit.length; j++) {
            if (dataTransit[j].minTransitFare && data[i].flight_id == dataTransit[j].flight_id) {
              data[i].minTransitFare = true;
              isMinTransitFare = true;
              break;
            }
          }
        }

        if (!isMinFlightTime) {
          for (var j = 0; j < dataFlight.length; j++) {
            if (dataFlight[j].minFlightTime && data[i].flight_id == dataFlight[j].flight_id) {
              data[i].minFlightTime = true;
              isMinFlightTime = true;
              break;
            }
          }
        }
        //存在即退出循环
        if (isMinTransitFare && isMinDirectFare && isMinFlightTime) {
          break;
        }

      }
      data = sortFare(data,tax);//再执行下才有显示
      return data;
  }


  //分享航班直飞最低价格  中转最低价  飞行时间最少
  function minFlightShare(data,tax,showModelObj)  {
      var dataDirect = [];//直飞
      var dataTransit = [];//中转
      var dataFlight = [];//飞行时间排序
      data.forEach(function(item) {
        item.minDirectFare = false;
        item.minTransitFare = false;
        item.minFlightTime = false;
        if (item.trips[0].flights[0].stop == 0) {
          dataDirect.push(item);
        }
        if (item.trips[0].flights[0].stop > 0) {
          dataTransit.push(item);
        }
        dataFlight.push(item);
      });


      //飞行时间长短
      dataDirect.sort(function(a, b) {
        if (getShoppingPriceWithl_final_fare(a.cabin_fares[0].psg_fares[0],showModelObj) === getShoppingPriceWithl_final_fare(b.cabin_fares[0].psg_fares[0],showModelObj)) {
          var a_starttime = a.trips[0].flights[0].departure_date +" "+ a.trips[0].flights[0].departure_time+":00";
          var b_starttime = b.trips[0].flights[0].departure_date +" " + b.trips[0].flights[0].departure_time+":00";
          var a_arrivetime = a.trips[0].flights[0].arrival_date +" " + a.trips[0].flights[0].arrival_time+":00";
          var b_arrivetime = b.trips[0].flights[0].arrival_date +" " + b.trips[0].flights[0].arrival_time+":00";
          var aTime = getMsTime(a_starttime,a_arrivetime);
          var bTime = getMsTime(b_starttime,b_arrivetime);
          return  aTime - bTime;
        }else {
          return  getShoppingPriceWithl_final_fare(a.cabin_fares[0].psg_fares[0],showModelObj) - getShoppingPriceWithl_final_fare(b.cabin_fares[0].psg_fares[0],showModelObj);
        }
      });
      if (dataDirect && dataDirect.length > 0) {
        dataDirect[0].minDirectFare = true;
      }

      dataTransit.sort(function(a, b) {
        if (getShoppingPriceWithl_final_fare(a.cabin_fares[0].psg_fares[0],showModelObj) === getShoppingPriceWithl_final_fare(b.cabin_fares[0].psg_fares[0],showModelObj)) {
          var a_starttime = a.trips[0].flights[0].departure_date +" "+ a.trips[0].flights[0].departure_time+":00";
          var b_starttime = b.trips[0].flights[0].departure_date +" " + b.trips[0].flights[0].departure_time+":00";
          var a_arrivetime = a.trips[0].flights[0].arrival_date +" " + a.trips[0].flights[0].arrival_time+":00";
          var b_arrivetime = b.trips[0].flights[0].arrival_date +" " + b.trips[0].flights[0].arrival_time+":00";
          var aTime = getMsTime(a_starttime,a_arrivetime);
          var bTime = getMsTime(b_starttime,b_arrivetime);
          return  aTime - bTime;
        }else {
          return  getShoppingPriceWithl_final_fare(a.cabin_fares[0].psg_fares[0],showModelObj) - getShoppingPriceWithl_final_fare(b.cabin_fares[0].psg_fares[0],showModelObj);
        }
      });
      if (dataTransit && dataTransit.length > 0) {
        dataTransit[0].minTransitFare = true;
      }

      dataFlight = sortTotalDuration(dataFlight);
      if (dataFlight && dataFlight.length > 0) {
        dataFlight[0].minFlightTime = true;
      }

      var isMinDirectFare = false;
      var isMinTransitFare = false;
      var isMinFlightTime = false;
      if (dataDirect && dataDirect.length == 0) {
        isMinDirectFare = true;
      }
      if (dataTransit && dataTransit.length == 0) {
        isMinTransitFare = true;
      }
      if (dataFlight && dataFlight.length == 0) {
        isMinFlightTime = true;
      }



      for (var i = 0; i < data.length; i++) {
        if (!isMinDirectFare) {
          for (var j = 0; j < dataDirect.length; j++) {
            if (dataDirect[j].minDirectFare && data[i].flight_id == dataDirect[j].flight_id) {
              data[i].minDirectFare = true;
              isMinDirectFare = true;
              break;
            }
          }
        }

        if (!isMinTransitFare) {
          for (var j = 0; j < dataTransit.length; j++) {
            if (dataTransit[j].minTransitFare && data[i].flight_id == dataTransit[j].flight_id) {
              data[i].minTransitFare = true;
              isMinTransitFare = true;
              break;
            }
          }
        }

        if (!isMinFlightTime) {
          for (var j = 0; j < dataFlight.length; j++) {
            if (dataFlight[j].minFlightTime && data[i].flight_id == dataFlight[j].flight_id) {
              data[i].minFlightTime = true;
              isMinFlightTime = true;
              break;
            }
          }
        }
        //存在即退出循环
        if (isMinTransitFare && isMinDirectFare && isMinFlightTime) {
          break;
        }

      }
      data = sortFareShare(data,tax,showModelObj);//再执行下才有显示
      return data;
  }



  function getMsTime(startDateString, endDateString){
    startDate = new Date(startDateString.replace(/-/g, "/"));
    endDate = new Date(endDateString.replace(/-/g, "/"));
    return endDate.getTime() - startDate.getTime(); //时间差的毫秒数
  }

  //拿shopping处理后的价格  不含税结算价l_final_fare_without_tax
  function getShoppingPriceWithoutTax(priceObj,showModelObj) {
      //正常情况下 isIncludeService = true; isIncludeReward = false; addPrice = 0
      // 1 isIncludeService = true; isIncludeReward = true;  不要返利则+返利
      // 2 isIncludeService = false; isIncludeReward = false;  不要开票则-开票
      // 3 isIncludeService = false; isIncludeReward = true;  开票费和返利都不要
      // l_final_fare_without_tax
      var returnPrice = priceObj.l_final_fare_without_tax;

      if (showModelObj.isIncludeService && showModelObj.isIncludeReward) {
          returnPrice = returnPrice + priceObj.l_reward_fare + showModelObj.addPrice;
      }
      else if (!showModelObj.isIncludeService && !showModelObj.isIncludeReward) {
          returnPrice = returnPrice - priceObj.service_fare + showModelObj.addPrice;
      }
      else if (!showModelObj.isIncludeService && showModelObj.isIncludeReward) {
          returnPrice = returnPrice - priceObj.service_fare + priceObj.l_reward_fare + showModelObj.addPrice;
      }
      else {
          returnPrice = returnPrice + showModelObj.addPrice;
      }

      return returnPrice;
  }


  //拿shopping处理后的价格  含税结算价l_final_fare
  function getShoppingPriceWithTax(priceObj,showModelObj) {
      //正常情况下 isIncludeService = true; isIncludeReward = false; addPrice = 0
      // 1 isIncludeService = true; isIncludeReward = true;  不要返利则+返利
      // 2 isIncludeService = false; isIncludeReward = false;  不要开票则-开票
      // 3 isIncludeService = false; isIncludeReward = true;  开票费和返利都不要
      // l_final_fare
      var returnPrice = priceObj.l_final_fare;

      if (showModelObj.isIncludeService && showModelObj.isIncludeReward) {
          returnPrice = returnPrice + priceObj.l_reward_fare + showModelObj.addPrice;
      }
      else if (!showModelObj.isIncludeService && !showModelObj.isIncludeReward) {
          returnPrice = returnPrice - priceObj.service_fare + showModelObj.addPrice;
      }
      else if (!showModelObj.isIncludeService && showModelObj.isIncludeReward) {
          returnPrice = returnPrice - priceObj.service_fare + priceObj.l_reward_fare + showModelObj.addPrice;
      }
      else {
          returnPrice = returnPrice + showModelObj.addPrice;
      }

      return returnPrice;
  }


  //拿shopping处理后的价格  base_fare 票面价
  function getShoppingPriceWithBaseFare(priceObj,showModelObj) {
      //正常情况下 isIncludeService = true; isIncludeReward = false; addPrice = 0
      // 1 isIncludeService = true; isIncludeReward = true;   不显示返利 + 开票
      // 2 isIncludeService = false; isIncludeReward = false;  不显示开票费 - 返利
      // 3 isIncludeService = false; isIncludeReward = true;  扣除开票费和返利  都不显示
      // base_fare
      var returnPrice = priceObj.base_fare;

      if (showModelObj.isIncludeService && showModelObj.isIncludeReward) {
          returnPrice = returnPrice + priceObj.service_fare + showModelObj.addPrice;
      }
      else if (!showModelObj.isIncludeService && !showModelObj.isIncludeReward) {
          returnPrice = returnPrice - priceObj.l_reward_fare + showModelObj.addPrice;
      }
      else if (!showModelObj.isIncludeService && showModelObj.isIncludeReward) {
          returnPrice = returnPrice  + showModelObj.addPrice;
      }
      else {
          returnPrice = returnPrice + priceObj.service_fare - priceObj.l_reward_fare + showModelObj.addPrice ;
      }
      return returnPrice;
  }

  //拿shopping处理后的价格  base_fare 票面价
  function getShoppingPriceWithl_final_fare(priceObj,showModelObj) {
      //正常情况下 isIncludeService = true; isIncludeReward = false; addPrice = 0
      // 1 isIncludeService = true; isIncludeReward = true;   不显示返利 + 开票
      // 2 isIncludeService = false; isIncludeReward = false;  不显示开票费 - 返利
      // 3 isIncludeService = false; isIncludeReward = true;  扣除开票费和返利  都不显示
      // base_fare

      var returnPrice = priceObj.l_final_fare;

      if (showModelObj.isIncludeService && showModelObj.isIncludeReward) {
          returnPrice = returnPrice + priceObj.service_fare + showModelObj.addPrice;
      }
      else if (!showModelObj.isIncludeService && !showModelObj.isIncludeReward) {
          returnPrice = returnPrice - priceObj.l_reward_fare + showModelObj.addPrice;
      }
      else if (!showModelObj.isIncludeService && showModelObj.isIncludeReward) {
          returnPrice = returnPrice  + showModelObj.addPrice;
      }
      else {
          returnPrice = returnPrice + priceObj.service_fare - priceObj.l_reward_fare + showModelObj.addPrice ;
      }
      return returnPrice;
  }


  //拿shopping处理后的价格  base_fare 票面价  不含税
  function getShoppingPriceWithl_final_fare_without_tax(priceObj,showModelObj) {
      //正常情况下 isIncludeService = true; isIncludeReward = false; addPrice = 0
      // 1 isIncludeService = true; isIncludeReward = true;   不显示返利 + 开票
      // 2 isIncludeService = false; isIncludeReward = false;  不显示开票费 - 返利
      // 3 isIncludeService = false; isIncludeReward = true;  扣除开票费和返利  都不显示
      // base_fare

      var returnPrice = priceObj.l_final_fare_without_tax;

      if (showModelObj.isIncludeService && showModelObj.isIncludeReward) {
          returnPrice = returnPrice + priceObj.service_fare + showModelObj.addPrice;
      }
      else if (!showModelObj.isIncludeService && !showModelObj.isIncludeReward) {
          returnPrice = returnPrice - priceObj.l_reward_fare + showModelObj.addPrice;
      }
      else if (!showModelObj.isIncludeService && showModelObj.isIncludeReward) {
          returnPrice = returnPrice  + showModelObj.addPrice;
      }
      else {
          returnPrice = returnPrice + priceObj.service_fare - priceObj.l_reward_fare + showModelObj.addPrice ;
      }
      return returnPrice;
  }

  //整理prcing输出
  function reloadPricingModel(howWay,cfObj) {
    //来源
    if (typeof(cfObj.source) == 'string') {
        cfObj.source_str = cfObj.source;
    } else {
        cfObj.source_str = cfObj.source && cfObj.source.length > 0 ? cfObj.source[0] : '';
    }
    cfObj.target_decryption_9 = [];
    cfObj.target_decryption_8_4 = true;
    if (cfObj.target_decryption && cfObj.target_decryption.length > 9) {
      //单个价格
      cfObj.target_decryption_9.push(cfObj.target_decryption[9]);
      if (cfObj.target_decryption[8] && cfObj.target_decryption[8].indexOf('4') == -1) {
        cfObj.target_decryption_8_4 = false;
      }
      else if (!cfObj.target_decryption[8]) {
        cfObj.target_decryption_8_4 = false;
      }
    } else if(cfObj.target_decryption && cfObj.target_decryption.length > 0){
      //多个价格
      for (var i = 0; i < cfObj.target_decryption.length; i++) {
        cfObj.target_decryption_9.push(cfObj.target_decryption[i][9]);
        if (cfObj.target_decryption[i][8] && cfObj.target_decryption[i][8].indexOf('4') == -1) {
          cfObj.target_decryption_8_4 = false;
        }
        else if (!cfObj.target_decryption[i][8]) {
          cfObj.target_decryption_8_4 = false;
        }
      }
    }
    cfObj.ticket_type_50 = false;
    cfObj.ticket_type = false;
    cfObj.ticket_type_arr = [];
    cfObj.ticket_type_str = "";
    cfObj.ticket_type_icon_arr = [];
    cfObj.ticket_type_icon_str = "";
    //字符串;10美亚BSP,20境外票,30B2B,40非美亚BSP,50航司直连-官网 old
    //字符串;10美亚BSP,30合作商,40非美亚BSP,50官网,60航司B2B,70航司B2T 2020-11
    for (var i = 0; i < cfObj.target_decryption_9.length; i++) {
      if (cfObj.target_decryption_9[i] == '50') {
        cfObj.ticket_type_50 = true;
      }
      else {
        cfObj.ticket_type = true;
      }

      switch (cfObj.target_decryption_9[i]) {
        case '10':
          cfObj.ticket_type_arr.push('BSP');
          cfObj.ticket_type_icon_arr.push('自营');
          break;
        // case '20':
        //   cfObj.ticket_type_arr.push('第三方');
        //   break;
        case '30':
          cfObj.ticket_type_arr.push('合作商');
          cfObj.ticket_type_icon_arr.push('合作商');
          break;
        case '40':
          cfObj.ticket_type_arr.push('BSP');
          if (cfObj.target_decryption_8_4) {
            cfObj.ticket_type_icon_arr.push('自营');
          } else {
            cfObj.ticket_type_icon_arr.push('合作商');
          }
          break;
        case '50':
          cfObj.ticket_type_arr.push('官网');
          cfObj.ticket_type_icon_arr.push('官网');
          break;
        case '60':
          cfObj.ticket_type_arr.push('航司B2B');
          cfObj.ticket_type_icon_arr.push('自营');
          break;
        case '70':
          cfObj.ticket_type_arr.push('航司B2T');
          cfObj.ticket_type_icon_arr.push('自营');
          break;
      }
    }

    if(cfObj.ticket_type_arr && cfObj.ticket_type_arr.length == 2){
      if (cfObj.ticket_type_arr[0] == cfObj.ticket_type_arr[1]) {
        cfObj.ticket_type_str = cfObj.ticket_type_arr[0];
      }
      else {
        cfObj.ticket_type_str = cfObj.ticket_type_arr[0] + '+' + cfObj.ticket_type_arr[1];
      }
    }
    else if (cfObj.ticket_type_arr && cfObj.ticket_type_arr.length == 1) {
      cfObj.ticket_type_str = cfObj.ticket_type_arr[0];
    }

    //当出现两个不同类型标签时，按“合作商>官网>自营”优先级显示一个标签
    //自营+合作商显示合作商
    //自营+官网显示官网
    //官网+合作商显示合作商
    //自营 = BSP/航司B2B/航司B2T
    if(cfObj.ticket_type_icon_arr && cfObj.ticket_type_icon_arr.length == 2){
      if (cfObj.ticket_type_icon_arr[0] == cfObj.ticket_type_icon_arr[1]) {
        cfObj.ticket_type_icon_str = cfObj.ticket_type_icon_arr[0];
      }
      else {
        if (cfObj.ticket_type_icon_arr[0] == "合作商" || cfObj.ticket_type_icon_arr[1] == "合作商") {
          cfObj.ticket_type_icon_str = "合作商";
        } else if (cfObj.ticket_type_icon_arr[0] == "官网" || cfObj.ticket_type_icon_arr[1] == "官网") {
          cfObj.ticket_type_icon_str = "官网";
        } else {
          cfObj.ticket_type_icon_str = cfObj.ticket_type_icon_arr[0];
        }
      }
    }
    else if (cfObj.ticket_type_icon_arr && cfObj.ticket_type_icon_arr.length == 1) {
      cfObj.ticket_type_icon_str = cfObj.ticket_type_icon_arr[0];
    }


    cfObj.seat_info_str = '9';//Math.min.apply(null, seatArr)
    if (cfObj.seat_info && cfObj.seat_info.length > 0) {
      for (var i = 0; i < cfObj.seat_info.length; i++) {
        cfObj.seat_info[i] = cfObj.seat_info[i] == 'A' ? "9" : cfObj.seat_info[i];
      }
      cfObj.seat_info_str = Math.min.apply(null, cfObj.seat_info);
      if (cfObj.seat_info_str == "-1") {
        cfObj.seat_info_str = "-"
      }
    }

    if (cfObj.policy_info && cfObj.policy_info.length > 0) {
      cfObj.policy_info_single = cfObj.policy_info[0];
      cfObj.policy_info_single.auto_ticketing_str = cfObj.policy_info[0].auto_ticketing == '10' ? "自动" : "人工";//出票
      cfObj.policy_info_single.trips_order_str = "";//行程单
      cfObj.policy_info_single.meal_str = "";//餐食
      cfObj.policy_info_single.baggage_remark_str = "";//行李额说明
      cfObj.policy_info_single.rebate_explain_out_str = "";//政策对外说明

      for (var i = 1; i < cfObj.policy_info.length; i++) {
        //正常单20 OR 申请单10
        if (cfObj.policy_info[i].order_type == "10") {
          cfObj.policy_info_single.order_type = "10";
        }

        if (!cfObj.policy_info[i].chd_for) {
          cfObj.policy_info_single.chd_for = false;
        }
        if (!cfObj.policy_info[i].inf_for) {
          cfObj.policy_info_single.inf_for = false;
        }

        if (cfObj.policy_info[i].auto_ticketing == '10' && cfObj.policy_info_single.auto_ticketing_str.indexOf('自动') == -1 ) {
          cfObj.policy_info_single.auto_ticketing_str += '+自动';
        }
        if (cfObj.policy_info[i].auto_ticketing == '20' && cfObj.policy_info_single.auto_ticketing_str.indexOf('人工') == -1 ) {
          cfObj.policy_info_single.auto_ticketing_str += '+人工';
        }

        if (cfObj.policy_info_single.trips_order == "30" && cfObj.policy_info[i].trips_order != "30") {
          cfObj.policy_info_single.trips_order_str = "0:无行程单";
        }
        else if (cfObj.policy_info_single.trips_order != "30" && cfObj.policy_info[i].trips_order == "30") {
          cfObj.policy_info_single.trips_order_str += i + ":无行程单";
        }
        else if (cfObj.policy_info_single.trips_order == "30" && cfObj.policy_info[i].trips_order == "30") {
          cfObj.policy_info_single.trips_order_str = "all:无行程单";
        }

        if (cfObj.policy_info_single.meal == "30" && cfObj.policy_info[i].meal != "30") {
          cfObj.policy_info_single.meal_str = "0:无餐食";
        }
        else if (cfObj.policy_info_single.meal != "30" && cfObj.policy_info[i].meal == "30") {
          cfObj.policy_info_single.meal_str += i + ":无餐食";
        }
        else if (cfObj.policy_info_single.meal == "30" && cfObj.policy_info[i].meal == "30") {
          cfObj.policy_info_single.meal_str = "all:无餐食";
        }

        if (cfObj.policy_info_single.baggage_remark) {
          cfObj.policy_info_single.baggage_remark_str = "0:"+ cfObj.policy_info_single.baggage_remark+ '  ';
        }
        if (cfObj.policy_info[i].baggage_remark) {
          cfObj.policy_info_single.baggage_remark_str += "1:"+ cfObj.policy_info[i].baggage_remark;
        }

        if (cfObj.policy_info_single.rebate_explain_out) {
          cfObj.policy_info_single.rebate_explain_out_str = "0:"+ cfObj.policy_info_single.rebate_explain_out+ '  ';
        }
        if (cfObj.policy_info[i].rebate_explain_out) {
          cfObj.policy_info_single.rebate_explain_out_str += "1:"+ cfObj.policy_info[i].rebate_explain_out;
        }


      }

      if (cfObj.policy_info_single.trips_order_str) {
        cfObj.policy_info_single.trips_order_str = getPricingInfoStr(howWay,cfObj.policy_info_single.trips_order_str);
      }
      if (cfObj.policy_info_single.meal_str) {
        cfObj.policy_info_single.meal_str = getPricingInfoStr(howWay,cfObj.policy_info_single.meal_str);
      }
      if (cfObj.policy_info_single.rebate_explain_out_str) {
        cfObj.policy_info_single.rebate_explain_out_str = getPricingInfoStr(howWay,cfObj.policy_info_single.rebate_explain_out_str);
      }


    }
    // console.log(JSON.stringify(cfObj));
    return cfObj;


  }

  //计价的多运价的整理下输出文字
  function getPricingInfoStr(howWay,pricStr) {
      var newStr = "";
      // console.log(pricStr);
      if (howWay == 1) {
        return pricStr;
      }
      var tempPric = pricStr.split(':');
      if (tempPric && tempPric.length > 1) {
        if (pricStr.indexOf('all') > -1) {
          newStr = tempPric[1];
        } else {
          if (tempPric[0] == '0') {
            if (howWay == 2) {
              newStr = "去程:"+ tempPric[1];
            } else {
              newStr = "第一程:"+ tempPric[1];
            }
          } else {
            if (howWay == 2) {
              newStr = "回程:"+ tempPric[1];
            } else {
              newStr = "第二程:"+ tempPric[1];
            }
          }
        }
      } else {
        newStr = pricStr;
      }

      return newStr;

  }

  //计价的多运价的行李额说明
  function getPricingBaggageStr(howWay,baggageStr) {
    var newStr = "";
    if (howWay == 1) {
      return baggageStr;
    }
    var tempPric = baggageStr.split(':');
    if (tempPric && baggageStr) {
      if (howWay == 2) {
        newStr = baggageStr.split('0','去程');
        newStr = baggageStr.split('1','回程');
      } else {
        newStr = baggageStr.split('0','第一程');
        newStr = baggageStr.split('1','第二程');
      }
    } else {
      newStr = baggageStr;
    }

    return newStr;
  }
