//价格 低-高 / sType = 1 ：高-低
function sort_fare(data,hasTax,sType) {
    if(hasTax){
        data.sort(function(a, b) {
            if(a.sort_fare == b.sort_fare){
                //同价格 耗时优先
                var aSort = a.sort_minute;
                var bSort = b.sort_minute;
                if(sType == 1){
                    return bSort - aSort;
                }
                else{
                    return aSort - bSort;
                }
            }
            else{
                var aSort = a.sort_fare;
                var bSort = b.sort_fare;
                if(sType == 1){
                    return bSort - aSort;
                }
                else{
                    return aSort - bSort;
                }
            }
            
            
        });
    }
    else{
        data.sort(function(a, b) {
            if(a.sort_fare_notax == b.sort_fare_notax){
                //同价格 耗时优先
                var aSort = a.sort_minute;
                var bSort = b.sort_minute;
                if(sType == 1){
                    return bSort - aSort;
                }
                else{
                    return aSort - bSort;
                }
            }
            else{
                var aSort = a.sort_fare_notax;
                var bSort = b.sort_fare_notax;
                if(sType == 1){
                    return bSort - aSort;
                }
                else{
                    return aSort - bSort;
                }
            }
        });
    }
    
    return data;
}

//耗时 短 / 长
function sort_minute(data,hasTax,sType) {
    data.sort(function(a, b) {
        var aSort = a.sort_minute;
        var bSort = b.sort_minute;
        if(sType == 1){
            return bSort - aSort;
        }
        else{
            return aSort - bSort;
        }
        
    });
    return data;
}

//起飞 早 / 晚
function sort_dep_datetime(data,hasTax,sType) {
    data.sort(function(a, b) {
        var aSort = a.sort_dep_datetime;
        var bSort = b.sort_dep_datetime;
        if(sType == 1){

            return bSort - aSort;
        }
        else{
            return aSort - bSort;
        }
        
    });
    return data;
    
}

//到达 早 / 晚
function sort_arr_datetime(data,hasTax,sType) {
    data.sort(function(a, b) {
        var aSort = a.sort_arr_datetime;
        var bSort = b.sort_arr_datetime;
        if(sType == 1){
            return bSort - aSort;
        }
        else{
            return aSort - bSort;
        }
        
    });
    return data;
}


//直飞优先 按中转次数
function sort_transit_count(data,hasTax,sType) {
    data.sort(function(a, b) {
        var aSort = a.sort_transit_count;
        var bSort = b.sort_transit_count;
        if(sType == 1){
            return bSort - aSort;
        }
        else{
            return aSort - bSort;
        }
        
    });
    return data;
}













function getTravelItineraryCN(travelItinerary) {
  //当接口返回的行程单travelItinerary不是1/2/3时，都要显示为无行程单
  var text = "无行程单";

  if (travelItinerary == 1) {
      text = "普通行程单";
  }
  else if (travelItinerary == 2) {
      text = "中性行程单";
  }
  else if (travelItinerary == 3) {
      text = "普通+中性行程单";
  }
  //else if (travelItinerary == 4) {
  //    text = "境外电子凭证";
  //}
  //else if (travelItinerary == 5) {
  //    text = "电子发票";
  //}
  //else if (travelItinerary == 6) {
  //    text = "纸质发票";
  //}
  //else if (travelItinerary == 7) {
  //    text = "按政策设置";
  //}
  else {
      text = "无行程单";
  }
  return text;
}


function getALLTravelItineraryCN(travelItinerary) {
    var text = "无行程单";
  
    if (travelItinerary == 1) {
        text = "普通行程单";
    }
    else if (travelItinerary == 2) {
        text = "中性行程单";
    }
    else if (travelItinerary == 3) {
        text = "普通+中性行程单";
    }
    else if (travelItinerary == 4) {
       text = "境外电子凭证";
    }
    else if (travelItinerary == 5) {
       text = "电子发票";
    }
    else if (travelItinerary == 6) {
       text = "纸质发票";
    }
    else if (travelItinerary == 7) {
       text = "按政策设置";
    }
    else {
        text = "无行程单";
    }
    return text;
  }



function getTimeLongOfTheRange (time) {
  var hour = time / 60,
      range = 1;
  if (hour <= 4) {
      range = 1;
  } else if (hour <= 8) {
      range = 2;
  } else if (hour <= 12) {
      range = 3;
  } else {
      range = 4;
  }
  return range;
}


function getPsgTypeCN(psg_type) {
  switch (psg_type) {
      case "ADT":
          return '成人';
      case "STU":
          return '学生';
      case "CNN":
          return '儿童';
      case "CHD":
          return '儿童';
      case "INF":
          return '婴儿';
      default:
          return '未知';
  }
}

function getPsgTypeNum(psg_type) {
  switch (psg_type) {
      case "ADT":
          return 0;
      case "STU":
          return 0;
      case "CNN":
          return 1;
      case "CHD":
          return 1;
      case "INF":
          return 2;
      default:
          return 0;
  }
}

function getPsgNumByPsgType(psg_type) {
  switch (psg_type) {
      case "ADT":
          return $("#adtPassenger").val();
      case "STU":
          return $("#adtPassenger").val();
      case "CNN":
          return $("#chdPassenger").val();
      case "CHD":
          return $("#chdPassenger").val();
      case "INF":
          return $("#infPassenger").val();
      default:
          return '未知';
  }
}

function getCabinTypeCN(cabinType) {
  switch (cabinType) {
      case "ECONOMY":
      case "Economy":
          return '经济舱';
      case "PREMIUM_ECONOMY":
      case "PremiumEconomy":
          return '超级经济舱';
      case "BUSINESS":
      case "Business":
          return '商务舱';
      case "PREMIUM_BUSINESS":
          return '超级商务舱';
      case "FIRST":
      case "First":
          return '头等舱';
      case "BUSINESS_FIRST":
          return '超级头等舱';
      default:
          return cabinType;
  }
}

function getTicketTypeName(ticketType) {
    var PriceTypeName = "";
    ticketType = ticketType ? ticketType + '': '';
    switch (ticketType){
        case "10":
        case "60":
        case "70":
            PriceTypeName = "自营";
            break;
        case "30":
            PriceTypeName = "合作商";
            break;
        case "40":
            PriceTypeName = "合作商";
        case "50":
            PriceTypeName = "官网";
            break;
    }
    return PriceTypeName;
}

//拿shopping处理后的价格  含税结算价limit_final_fare
function getShoppingPriceWithTax(priceObj,showModelObj) {
    //正常情况下 isIncludeService = true; isIncludeReward = false; addPrice = 0
    // 1 isIncludeService = true; isIncludeReward = true;  不要返利则+返利
    // 2 isIncludeService = false; isIncludeReward = false;  不要开票则-代理
    // 3 isIncludeService = false; isIncludeReward = true;  代理费和返利都不要
    // limit_final_fare
    var returnPrice = priceObj.finalFare;//是含开票 含返利
    var sellTicketingFeeCNY = priceObj.finalFare - priceObj.total_base_fare;

    if (showModelObj.isIncludeService && showModelObj.isIncludeReward) {
        returnPrice = returnPrice + (priceObj.sellCommissionFareCNY + priceObj.sellInsideRebateFareCNY) + showModelObj.addPrice;//含开票 不含返利
    }
    else if (!showModelObj.isIncludeService && !showModelObj.isIncludeReward) {
        returnPrice = returnPrice - sellTicketingFeeCNY + showModelObj.addPrice;//不含开票 含返利
    }
    else if (!showModelObj.isIncludeService && showModelObj.isIncludeReward) {
        returnPrice = returnPrice - sellTicketingFeeCNY + (priceObj.sellCommissionFareCNY + priceObj.sellInsideRebateFareCNY) + showModelObj.addPrice;//不含开票 不含返利
    }
    else {
        returnPrice = returnPrice + showModelObj.addPrice;//含开票 含返利
    }

    return parseNum2(returnPrice);
}


//拿shopping处理后的价格  base_fare 票面价
function getShoppingPriceWithBaseFare(priceObj,showModelObj) {
    //正常情况下 isIncludeService = true; isIncludeReward = false; addPrice = 0
    // 1 isIncludeService = true; isIncludeReward = true;   不显示返利 + 开票
    // 2 isIncludeService = false; isIncludeReward = false;  不显示代理费 - 返利
    // 3 isIncludeService = false; isIncludeReward = true;  扣除代理费和返利  都不显示
    // base_fare
    var returnPrice = priceObj.finalFareNoTax;
    var sellTicketingFeeCNY = priceObj.finalFare - priceObj.total_base_fare;

    if (showModelObj.isIncludeService && showModelObj.isIncludeReward) {
        returnPrice = returnPrice + sellTicketingFeeCNY + showModelObj.addPrice;
    }
    else if (!showModelObj.isIncludeService && !showModelObj.isIncludeReward) {
        returnPrice = returnPrice - (priceObj.sellCommissionFareCNY + priceObj.sellCommissionFareCNY) + showModelObj.addPrice;
    }
    else if (!showModelObj.isIncludeService && showModelObj.isIncludeReward) {
        returnPrice = returnPrice  + showModelObj.addPrice;
    }
    else {
        returnPrice = returnPrice + sellTicketingFeeCNY - (priceObj.sellCommissionFareCNY + priceObj.sellCommissionFareCNY) + showModelObj.addPrice ;
    }
    return parseNum2(returnPrice);
}

//拿Pricing处理后的价格  不含税结算价limit_final_fare_without_tax
function getPricingPriceWithTax(priceObj,showModelObj) {
    //正常情况下 isIncludeService = true; isIncludeReward = false; addPrice = 0
    // 1 isIncludeService = true; isIncludeReward = true;  不要返利则+返利
    // 2 isIncludeService = false; isIncludeReward = false;  不要代理费则-代理费
    // 3 isIncludeService = false; isIncludeReward = true;  代理费和返利都不要
    // limit_final_fare_without_tax
    var returnPrice = priceObj.sellInsideFinalFareCNY;

    if (showModelObj.isIncludeService && showModelObj.isIncludeReward) {
        returnPrice = returnPrice + (priceObj.sellCommissionFareCNY + priceObj.sellInsideRebateFareCNY) + showModelObj.addPrice;
    }
    else if (!showModelObj.isIncludeService && !showModelObj.isIncludeReward) {
        returnPrice = returnPrice - priceObj.sellTicketingFeeCNY + showModelObj.addPrice;
    }
    else if (!showModelObj.isIncludeService && showModelObj.isIncludeReward) {
        returnPrice = returnPrice - priceObj.sellTicketingFeeCNY + (priceObj.sellCommissionFareCNY + priceObj.sellInsideRebateFareCNY) + showModelObj.addPrice;
    }
    else {
        returnPrice = returnPrice + showModelObj.addPrice;
    }
    return parseNum2(returnPrice);
}

//拿Pricing处理后的价格  不含税结算价limit_final_fare_without_tax
function getPricingPriceWithoutTax(priceObj,showModelObj) {
    //正常情况下 isIncludeService = true; isIncludeReward = false; addPrice = 0
    // 1 isIncludeService = true; isIncludeReward = true;  不要返利则+返利
    // 2 isIncludeService = false; isIncludeReward = false;  不要代理费则-代理费
    // 3 isIncludeService = false; isIncludeReward = true;  代理费和返利都不要
    // limit_final_fare_without_tax
    var returnPrice = priceObj.sellInsideFinalFareCNY  - priceObj.tax_amountCNY;

    if (showModelObj.isIncludeService && showModelObj.isIncludeReward) {
        returnPrice = returnPrice + (priceObj.sellCommissionFareCNY + priceObj.sellInsideRebateFareCNY) + showModelObj.addPrice;
    }
    else if (!showModelObj.isIncludeService && !showModelObj.isIncludeReward) {
        returnPrice = returnPrice - priceObj.sellTicketingFeeCNY + showModelObj.addPrice;
    }
    else if (!showModelObj.isIncludeService && showModelObj.isIncludeReward) {
        returnPrice = returnPrice - priceObj.sellTicketingFeeCNY + (priceObj.sellCommissionFareCNY + priceObj.sellInsideRebateFareCNY) + showModelObj.addPrice;
    }
    else {
        returnPrice = returnPrice + showModelObj.addPrice;
    }
    return parseNum2(returnPrice);
}



//保留2位小数
function parseNum2(value){
    var _value = value;
    if(_value != 0 || _value != "0"){
      _value = parseFloat(parseFloat(value).toFixed(2))
    }
    return _value;
}

function redEye(){
    api.toast({
        msg:'红眼航班',
        location: 'bottom'
    })
}

function getProductLabelName(productLabel) {
    productLabel = productLabel ? productLabel : '';
    var ProductLabelName = productLabel;
    switch (productLabel){
        case "MEIYAOPTIMIZED": 
            ProductLabelName = '美亚优选'; break; 
        case "MEIYASELFSUPPORT" : 
            ProductLabelName = '美亚自营'; break;
        case "AIRLINEDIRECT" : 
            ProductLabelName = '航司直连'; break;
        case "OFFICIALDIRECT" : 
            ProductLabelName = '官网直销'; break;
        case "SELECTSPECIAL" : 
            ProductLabelName = '精选特惠'; break;
    }
    return ProductLabelName;
}